# Readme

20230619 By Chenx221

## 环境说明

- IntelliJ IDEA 2023.1.2 (Ultimate Edition)
- Tomcat 9.0.75
- JDK17
- MySQL 8.0.33
  - 凭证可在applicationContext.xml修改
- Minio 20230616
  - 凭证可在PersonService.java修改

## 详细说明

- /course
  - ~/all
    - 课程信息页 [Get]
    - admin,teacher,student
    - courseList|courseList_t|courseList_s
  - ~/infomodv2
    - 课程信息修改页 [Get]
    - admin,teacher,student
    - courseopv2|courseopv2_t|courseopv2_s
  - ~/delinfo
    - 课程信息删除 [Post]
    - admin
    - *Redirect*.infomodev2
  - ~/addinfo
    - 课程信息添加 [Post]
    - admin
    - *Redirect*.infomodev2
  - ~/modinfo
    - 课程信息修改 [Post]
    - admin
    - *Redirect*.infomodev2
  - ~/query
    - 课程信息查询 [Post]
    - admin,teacher,student
    - courseQueryResult|courseQueryResult_t|courseQueryResult_s
- /output
  - ~/export-csv [Get]
    - 学生、课程、成绩、教师信息下载
    - admin,teacher
  - ~/get-csv 
    - 获取已经生成的csv文件 [Get]
    - admin,teacher
- /person
  - ~/settings
    - 个人设置页 [Get]
    - admin,teacher,student
    - person|person_t|person_s
  - ~/uploadAvatar
    - 头像上传 [Post]
    - admin,teacher,student
  - ~/image
    - 获取用户头像 [Get]
    - admin,teacher,student
- /score
  - ~/all
    - 学生成绩页 [Get]
    - admin,teacher,student
    - scoreList|scoreList_t|scoreList_s
  - ~/infomodv2
    - 学生成绩修改页 [Get]
    - admin,teacher
    - scoreopv2|scoreopv2_t
  - ~/query
    - 学生成绩查询 [Post]
    - admin,teacher
    - scoreQueryResult|scoreQueryResult_t
  - ~/modinfo
    - 学生成绩修改 [Post]
    - admin
    - *Redirect*.infomodv2
  - ~/delinfo
    - 学生成绩删除 [Post]
    - admin
    - *Redirect*.infomodv2
  - ~/addinfo
    - 学生成绩添加 [Post]
    - admin,teacher
    - *Redirect*.infomodv2|*Redirect*.infomodv2_t
- /student
  - ~/all
    - 学生信息查询页 [Get]
    - admin,teacher,student
    - studentList|studentList_t|studentList_s
  - ~/queryinfo
    - 学生信息查询(条件)页 [Get]
    - admin,teacher
    - studentListQuery|studentListQuery_t
  - ~/query
    - 学生信息查询 [Post]
    - admin,teacher
    - studentQueryResult|studentQueryResult_t
  - ~/modstep1
    - 学生信息修改页(过时) [Get]
    - admin,teacher
    - studentMod|studentMod_t
  - ~/modinfo
    - 学生信息修改 [Post]
    - admin,teacher
    - *Redirect*.infomodv2|*Redirect*.infomodv2_t
  - ~/infomodv2
    - 学生信息修改页(v2) [Get]
    - admin,teacher
    - studentinfomodv2|studentinfomodv2_t
  - ~/delinfo
    - 学生信息删除 [Post]
    - admin,teacher
    - *Redirect*.infomodv2|*Redirect*.infomodv2_t
  - ~/addinfo
    - 学生信息添加 [Post]
    - admin,teacher
    - *Redirect*.infomodv2|*Redirect*.infomodv2_t
- /system
  - ~/settings
    - 系统设置页 [Get]
    - admin
    - settings
  - ~/clean
    - 清理垃圾 [Get]
    - admin
    - *Redirect*.settings
- /teacher
  - ~/mamage
    - 教师信息管理页 [Get]
    - admin
    - teachermanage
  - ~/query
    - 教师信息查询 [Post]
    - admin
    - teacherQueryResult
  - ~/mod
    - 教师信息修改 [Post]
    - admin
  - ~/del
    - 教师信息删除 [Post]
    - admin
  - ~/add
    - 教师信息添加 [Post]
    - admin
- /login
  - 用户登录页(和/相同) [Get]
  - Everyone
- /signup
  - 用户(管理员)注册 [Post]
  - Everyone
- /user
  - ~/usermanage
    - 用户管理页 [Get]
    - admin
    - usermanage
  - ~/create
    - 用户创建 [Post]
    - admin
    - *Redirect*.usermanage
  - ~/reset
    - 重设密码 [Post]
    - admin
    - *Redirect*.usermanage
  - ~/userdisabled
    - 禁用用户 [Post]
    - admin
  - ~/userenabled
    - 启用用户 [Post]
    - admin
- /success
  - 废弃的成功状态页
  - None
- /fail
  - 废弃的失败状态页
  - None
- /dashboard
  - 登陆后的首页
  - admin,teacher,student
  - dashboard|dashboard_t|dashboard_s