<%@ page import="cyou.chenx221.helper.UsernameHelper" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
    <meta http-equiv="x-ua-compatible" content="ie=edge"/>
    <title>登录</title>
    <script src="${pageContext.request.contextPath}/resources/js/jquery-3.7.0.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css"/>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Noto+Sans+SC:wght@300;400;500;700;900&display=swap"
          rel="stylesheet">
    <link rel="stylesheet" href="${pageContext.request.contextPath}/resources/css/mdb.min.css"/>
</head>
<body style="font-family: 'Noto Sans SC Regular',serif">
<%
    if (new UsernameHelper().getCurrentUsername() != null) {
        //note: 登陆了的就别乱访问了
        response.sendRedirect("dashboard");
    }
%>
<header>
    <nav class="navbar navbar-expand-lg navbar-light bg-light" style="z-index: 1;min-height: 58.59px">
        <div class="container">
            <button class="navbar-toggler" type="button" data-mdb-toggle="collapse"
                    data-mdb-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                    aria-expanded="false"
                    aria-label="Toggle navigation">
                <i class="fas fa-bars"></i>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <a class="navbar-brand mt-2 mt-lg-0" href="#">
                    <i class="fas fa-chalkboard-user me-2"></i>
                    教务管理系统
                </a>
            </div>
            <div class="dropdown">
                <a class="dropdown-toggle d-flex align-items-center hidden-arrow" href="#"
                   id="navbarDropdownMenuAvatar"
                   role="button" data-mdb-toggle="dropdown" aria-expanded="false">
                    <i class="fas fa-circle-user fa-lg"></i>
                </a>
                <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdownMenuAvatar">
                    <li>
                        <a class="dropdown-item" href="login">登录</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
</header>

<main>
    <div class="bg-image shadow-2-strong vh-100"
         style="background-image: url('${pageContext.request.contextPath}/resources/img/jason-blackeye-nyL-rzwP-Mk-unsplash.jpg');margin-top: -58.59px;">
        <div class="mask d-flex align-items-center h-100" style="background-color: hsl(0deg 0% 100% / 13%);">
            <div class="container-fluid px-0">
                <div class="container d-flex align-items-center justify-content-center h-100">
                    <div style="background-color: rgba(255,255,255,0.7);backdrop-filter: blur(30px)"
                         class="rounded-5 shadow-5-strong p-5">
                        <!-- Pills navs -->
                        <ul class="nav nav-pills nav-justified mb-3" id="ex1" role="tablist">
                            <li class="nav-item" role="presentation">
                                <a
                                        class="nav-link active"
                                        id="tab-login"
                                        data-mdb-toggle="pill"
                                        href="#pills-login"
                                        role="tab"
                                        aria-controls="pills-login"
                                        aria-selected="true"
                                >登录</a>
                            </li>
                            <li class="nav-item" role="presentation">
                                <a
                                        class="nav-link"
                                        id="tab-register"
                                        data-mdb-toggle="pill"
                                        href="#pills-register"
                                        role="tab"
                                        aria-controls="pills-register"
                                        aria-selected="false"
                                >注册</a>
                            </li>
                        </ul>
                        <!-- Pills navs -->

                        <!-- Pills content -->
                        <div class="tab-content">
                            <div class="tab-pane fade show active" id="pills-login" role="tabpanel"
                                 aria-labelledby="tab-login">
                                <form action="/login" method="POST">
                                    <h1 class="text-center mb-4" style="font-family: 'Noto Sans SC Light',serif">
                                        用户登录</h1>
                                    <div class="form-outline mb-4">
                                        <input type="text" id="form1Example1" class="form-control" name="username"
                                               required/>
                                        <label class="form-label" for="form1Example1">用户名</label>
                                    </div>
                                    <div class="form-outline mb-4">
                                        <input type="password" id="form1Example2" class="form-control" name="password"
                                               required/>
                                        <label class="form-label" for="form1Example2">密码</label>
                                    </div>
                                    <div class="row mb-4">
                                        <div class="col d-flex justify-content-center">
                                            <div class="form-check">
                                                <input class="form-check-input" type="checkbox" value=""
                                                       id="form1Example3"
                                                       checked/>
                                                <label class="form-check-label" for="form1Example3">记住密码</label>
                                            </div>
                                        </div>
                                        <div class="col">
                                            <a href="#" onclick="showNote()">忘记密码?</a>
                                        </div>
                                    </div>
                                    <button type="submit" class="btn btn-primary btn-block mb-4">登录</button>
                                    <div class="text-center" style="margin-bottom: 25px;">
                                        <p>还没有账号? <a href="#" onclick="showReg()">注册一个</a></p>
                                    </div>
                                </form>
                            </div>
                            <div class="tab-pane fade" id="pills-register" role="tabpanel"
                                 aria-labelledby="tab-register">
                                <form action="signup" method="post">
                                    <h1 class="text-center mb-4" style="font-family: 'Noto Sans SC Light',serif">
                                        用户注册</h1>
                                    <div class="form-outline mb-4">
                                        <input type="text" id="registerUsername" class="form-control" name="username"
                                               required/>
                                        <label class="form-label" for="registerUsername">用户名</label>
                                    </div>
                                    <div class="form-outline mb-4">
                                        <input type="password" id="registerPassword" class="form-control"
                                               name="password" required/>
                                        <label class="form-label" for="registerPassword">密码</label>
                                    </div>
                                    <div class="form-outline mb-4">
                                        <input type="password" id="registerRepeatPassword" class="form-control"
                                               name="re-password" required/>
                                        <label class="form-label" for="registerRepeatPassword">重复密码</label>
                                    </div>
                                    <div class="form-check d-flex justify-content-center mb-4">
                                        <input
                                                class="form-check-input me-2"
                                                type="checkbox"
                                                value=""
                                                id="registerCheck"
                                                required
                                                aria-describedby="registerCheckHelpText"
                                        />
                                        <label class="form-check-label" for="registerCheck">
                                            我已阅读并同意相关TOS
                                        </label>
                                    </div>
                                    <button type="submit" class="btn btn-primary btn-block mb-3">注册</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Modal -->
    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">
                        <i class="fas fa-circle-exclamation me-2"></i>错误
                    </h5>
                    <button type="button" class="btn-close" data-mdb-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <c:if test="${not empty errorMessage}">
                        ${errorMessage}
                    </c:if>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" data-mdb-dismiss="modal">OK</button>
                </div>
            </div>
        </div>
    </div>
    <!-- Modal -->
    <div class="modal fade" id="exampleModal2" tabindex="-1" aria-labelledby="exampleModalLabel2" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel2">
                        <i class="fas fa-circle-check me-2"></i>成功
                    </h5>
                    <button type="button" class="btn-close" data-mdb-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <c:if test="${not empty successMessage}">
                        ${successMessage}
                    </c:if>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" data-mdb-dismiss="modal">OK</button>
                </div>
            </div>
        </div>
    </div>
</main>

<footer>

</footer>


<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/mdb.min.js"></script>
<script>
    $(document).ready(function () {
        // 判断先前是否来自reg/log页
        <c:if test="${not empty comeFrom && comeFrom eq 'reg'}">
        document.getElementById("tab-register").click();
        </c:if>
        <c:if test="${not empty comeFrom && comeFrom eq 'log'}">
        document.getElementById("tab-login").click();
        </c:if>
        <%-- 判断模型中是否存在错误信息 --%>
        <c:if test="${not empty errorMessage && errorMessage ne 'null'}">
        $('#exampleModal').modal('show');
        </c:if>
        <%-- 判断模型中是否存在成功信息 --%>
        <c:if test="${not empty successMessage && successMessage ne 'null'}">
        $('#exampleModal2').modal('show');
        </c:if>
    });

    function showNote() {
        alert("功能尚未实现，请联系管理员重置密码");
    }

    function showReg() {
        document.getElementById("tab-register").click();
    }
</script>
</body>
</html>
