/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.8.149
 Source Server Type    : MySQL
 Source Server Version : 80033 (8.0.33)
 Source Host           : 192.168.8.149:3306
 Source Schema         : project2

 Target Server Type    : MySQL
 Target Server Version : 80033 (8.0.33)
 File Encoding         : 65001

 Date: 19/06/2023 16:23:38
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for class
-- ----------------------------
DROP TABLE IF EXISTS `class`;
CREATE TABLE `class`  (
  `class_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '1班~5班',
  `class_description` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '班级描述',
  PRIMARY KEY (`class_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of class
-- ----------------------------
INSERT INTO `class` VALUES ('1班', NULL);
INSERT INTO `class` VALUES ('2班', NULL);
INSERT INTO `class` VALUES ('3班', NULL);
INSERT INTO `class` VALUES ('4班', NULL);
INSERT INTO `class` VALUES ('5班', NULL);

-- ----------------------------
-- Table structure for course
-- ----------------------------
DROP TABLE IF EXISTS `course`;
CREATE TABLE `course`  (
  `CourseID` int NOT NULL AUTO_INCREMENT COMMENT '课程ID',
  `CourseName` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '课程名',
  `Description` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '课程描述',
  `removed` int NULL DEFAULT 0 COMMENT '移除的课程(default: 0 false)',
  PRIMARY KEY (`CourseID`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 14 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of course
-- ----------------------------
INSERT INTO `course` VALUES (1, '语文', '汉字阅读与写作', 0);
INSERT INTO `course` VALUES (2, '数学', '数学运算与推理', 0);
INSERT INTO `course` VALUES (3, '嘤语', '描述1', 0);
INSERT INTO `course` VALUES (4, '历史', '中华历史概览', 0);
INSERT INTO `course` VALUES (5, '地理', '自然与人文地理', 0);
INSERT INTO `course` VALUES (6, '物理', '力学与电磁学', 0);
INSERT INTO `course` VALUES (7, '化学', '物质与变化', 0);
INSERT INTO `course` VALUES (8, '生物', '生命的奥秘', 0);
INSERT INTO `course` VALUES (9, '政治', '政府与公民', 0);
INSERT INTO `course` VALUES (10, '经济', '资源与市场', 0);
INSERT INTO `course` VALUES (11, '技术', '没有描述', 0);
INSERT INTO `course` VALUES (12, '技术2', '描述2', 0);
INSERT INTO `course` VALUES (13, '课程2', '描述3', 0);

-- ----------------------------
-- Table structure for score
-- ----------------------------
DROP TABLE IF EXISTS `score`;
CREATE TABLE `score`  (
  `ScoreID` int NOT NULL AUTO_INCREMENT COMMENT '成绩记录ID',
  `StudentID` int NULL DEFAULT NULL COMMENT '学生ID',
  `CourseID` int NULL DEFAULT NULL COMMENT '课程ID',
  `Score` float NULL DEFAULT NULL COMMENT '成绩',
  `invalid` int NULL DEFAULT 0 COMMENT '无效(移除)(default: 0 false)',
  PRIMARY KEY (`ScoreID`) USING BTREE,
  INDEX `fk_student`(`StudentID` ASC) USING BTREE,
  INDEX `fk_course`(`CourseID` ASC) USING BTREE,
  CONSTRAINT `fk_course` FOREIGN KEY (`CourseID`) REFERENCES `course` (`CourseID`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `fk_student` FOREIGN KEY (`StudentID`) REFERENCES `student` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 123 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of score
-- ----------------------------
INSERT INTO `score` VALUES (1, 459, 8, 60, 0);
INSERT INTO `score` VALUES (2, 335, 2, 84, 0);
INSERT INTO `score` VALUES (3, 310, 3, 83, 0);
INSERT INTO `score` VALUES (4, 970, 8, 46, 0);
INSERT INTO `score` VALUES (5, 672, 3, 6, 0);
INSERT INTO `score` VALUES (6, 290, 2, 33, 0);
INSERT INTO `score` VALUES (7, 993, 7, 37, 0);
INSERT INTO `score` VALUES (8, 918, 10, 23, 0);
INSERT INTO `score` VALUES (9, 545, 7, 62, 0);
INSERT INTO `score` VALUES (10, 521, 5, 7, 0);
INSERT INTO `score` VALUES (11, 479, 2, 97, 0);
INSERT INTO `score` VALUES (12, 152, 9, 45, 0);
INSERT INTO `score` VALUES (13, 777, 1, 61, 0);
INSERT INTO `score` VALUES (14, 654, 9, 13, 0);
INSERT INTO `score` VALUES (15, 124, 8, 74, 0);
INSERT INTO `score` VALUES (16, 90, 1, 29, 0);
INSERT INTO `score` VALUES (17, 814, 8, 83, 0);
INSERT INTO `score` VALUES (18, 574, 2, 82, 0);
INSERT INTO `score` VALUES (19, 69, 6, 77, 0);
INSERT INTO `score` VALUES (20, 492, 9, 15, 0);
INSERT INTO `score` VALUES (21, 347, 9, 93, 0);
INSERT INTO `score` VALUES (22, 517, 12, 56, 0);
INSERT INTO `score` VALUES (23, 260, 8, 52, 0);
INSERT INTO `score` VALUES (24, 576, 6, 77, 0);
INSERT INTO `score` VALUES (25, 62, 11, 76, 0);
INSERT INTO `score` VALUES (26, 31, 4, 40, 0);
INSERT INTO `score` VALUES (27, 225, 1, 67, 0);
INSERT INTO `score` VALUES (28, 34, 2, 38, 0);
INSERT INTO `score` VALUES (29, 614, 9, 31, 0);
INSERT INTO `score` VALUES (30, 743, 7, 84, 0);
INSERT INTO `score` VALUES (31, 383, 10, 40, 0);
INSERT INTO `score` VALUES (32, 484, 7, 76, 0);
INSERT INTO `score` VALUES (33, 263, 9, 50, 0);
INSERT INTO `score` VALUES (34, 204, 10, 44, 0);
INSERT INTO `score` VALUES (35, 249, 3, 96, 0);
INSERT INTO `score` VALUES (36, 910, 2, 1, 0);
INSERT INTO `score` VALUES (37, 172, 9, 66, 0);
INSERT INTO `score` VALUES (38, 318, 5, 20, 0);
INSERT INTO `score` VALUES (39, 107, 2, 34, 0);
INSERT INTO `score` VALUES (40, 653, 1, 77, 0);
INSERT INTO `score` VALUES (41, 381, 12, 96, 0);
INSERT INTO `score` VALUES (42, 830, 8, 43, 0);
INSERT INTO `score` VALUES (43, 287, 3, 78, 0);
INSERT INTO `score` VALUES (44, 987, 3, 82, 0);
INSERT INTO `score` VALUES (45, 927, 10, 67, 0);
INSERT INTO `score` VALUES (46, 983, 4, 93, 0);
INSERT INTO `score` VALUES (47, 219, 7, 81, 0);
INSERT INTO `score` VALUES (48, 181, 1, 66, 0);
INSERT INTO `score` VALUES (49, 917, 4, 10, 0);
INSERT INTO `score` VALUES (50, 762, 7, 29, 0);
INSERT INTO `score` VALUES (51, 396, 1, 15, 0);
INSERT INTO `score` VALUES (52, 895, 5, 36, 0);
INSERT INTO `score` VALUES (53, 723, 7, 6, 0);
INSERT INTO `score` VALUES (54, 945, 7, 77, 0);
INSERT INTO `score` VALUES (55, 804, 8, 92, 0);
INSERT INTO `score` VALUES (56, 982, 10, 32, 0);
INSERT INTO `score` VALUES (57, 497, 2, 95, 0);
INSERT INTO `score` VALUES (58, 128, 7, 63, 0);
INSERT INTO `score` VALUES (59, 122, 3, 29, 0);
INSERT INTO `score` VALUES (60, 160, 12, 41, 0);
INSERT INTO `score` VALUES (61, 632, 5, 38, 0);
INSERT INTO `score` VALUES (62, 996, 7, 13, 0);
INSERT INTO `score` VALUES (63, 432, 2, 32, 0);
INSERT INTO `score` VALUES (64, 76, 3, 18, 0);
INSERT INTO `score` VALUES (65, 754, 3, 15, 0);
INSERT INTO `score` VALUES (66, 547, 2, 28, 0);
INSERT INTO `score` VALUES (67, 274, 9, 94, 0);
INSERT INTO `score` VALUES (68, 138, 8, 71, 0);
INSERT INTO `score` VALUES (69, 535, 7, 60, 0);
INSERT INTO `score` VALUES (70, 84, 2, 6, 0);
INSERT INTO `score` VALUES (71, 533, 9, 41, 0);
INSERT INTO `score` VALUES (72, 329, 7, 48, 0);
INSERT INTO `score` VALUES (73, 300, 6, 67, 0);
INSERT INTO `score` VALUES (74, 229, 5, 77, 0);
INSERT INTO `score` VALUES (75, 448, 1, 95, 0);
INSERT INTO `score` VALUES (76, 454, 12, 21, 0);
INSERT INTO `score` VALUES (77, 648, 3, 94, 0);
INSERT INTO `score` VALUES (78, 593, 8, 52, 0);
INSERT INTO `score` VALUES (79, 464, 11, 49, 0);
INSERT INTO `score` VALUES (80, 374, 8, 7, 0);
INSERT INTO `score` VALUES (81, 736, 7, 99, 0);
INSERT INTO `score` VALUES (82, 925, 12, 92, 0);
INSERT INTO `score` VALUES (83, 168, 2, 91, 0);
INSERT INTO `score` VALUES (84, 716, 2, 60, 0);
INSERT INTO `score` VALUES (85, 649, 8, 31, 0);
INSERT INTO `score` VALUES (86, 677, 4, 35, 0);
INSERT INTO `score` VALUES (87, 94, 5, 34, 0);
INSERT INTO `score` VALUES (88, 782, 11, 12, 0);
INSERT INTO `score` VALUES (89, 151, 8, 58, 0);
INSERT INTO `score` VALUES (90, 961, 12, 25, 0);
INSERT INTO `score` VALUES (91, 942, 2, 24, 0);
INSERT INTO `score` VALUES (92, 918, 7, 59, 0);
INSERT INTO `score` VALUES (93, 682, 9, 58, 0);
INSERT INTO `score` VALUES (94, 328, 4, 94, 0);
INSERT INTO `score` VALUES (95, 200, 6, 50, 0);
INSERT INTO `score` VALUES (96, 80, 3, 65, 0);
INSERT INTO `score` VALUES (97, 671, 7, 95, 0);
INSERT INTO `score` VALUES (98, 266, 3, 60, 0);
INSERT INTO `score` VALUES (99, 15, 8, 81, 0);
INSERT INTO `score` VALUES (100, 626, 9, 97, 0);
INSERT INTO `score` VALUES (101, 13, 6, 75, 0);
INSERT INTO `score` VALUES (102, 674, 3, 80, 0);
INSERT INTO `score` VALUES (103, 433, 4, 15, 0);
INSERT INTO `score` VALUES (104, 187, 5, 87, 0);
INSERT INTO `score` VALUES (105, 366, 6, 31, 0);
INSERT INTO `score` VALUES (106, 930, 5, 65, 0);
INSERT INTO `score` VALUES (107, 693, 5, 81, 0);
INSERT INTO `score` VALUES (108, 589, 4, 53, 0);
INSERT INTO `score` VALUES (109, 693, 9, 35, 0);
INSERT INTO `score` VALUES (110, 973, 4, 97, 0);
INSERT INTO `score` VALUES (111, 936, 7, 11, 0);
INSERT INTO `score` VALUES (112, 937, 11, 11, 0);
INSERT INTO `score` VALUES (113, 536, 9, 51, 0);
INSERT INTO `score` VALUES (114, 938, 6, 42, 0);
INSERT INTO `score` VALUES (115, 447, 4, 36, 0);
INSERT INTO `score` VALUES (116, 933, 7, 41, 0);
INSERT INTO `score` VALUES (117, 843, 8, 47, 0);
INSERT INTO `score` VALUES (118, 667, 9, 47, 0);
INSERT INTO `score` VALUES (119, 586, 5, 9, 0);
INSERT INTO `score` VALUES (120, 849, 11, 32, 0);
INSERT INTO `score` VALUES (121, 1, 1, 100, 0);
INSERT INTO `score` VALUES (122, 1, 2, 0, 0);

-- ----------------------------
-- Table structure for student
-- ----------------------------
DROP TABLE IF EXISTS `student`;
CREATE TABLE `student`  (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '学号',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '姓名',
  `sex` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '性别',
  `birthday` date NULL DEFAULT NULL COMMENT '出生日期',
  `phone` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '联系方式',
  `classes` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '班级',
  `removed` int NULL DEFAULT 0 COMMENT '移除的记录(default: 0 false)',
  `photo` blob NULL COMMENT '照片(可选)(暂未实现)',
  `user_id` int NULL DEFAULT NULL COMMENT '对应的user表id',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `fk_student_classes`(`classes` ASC) USING BTREE,
  CONSTRAINT `fk_student_classes` FOREIGN KEY (`classes`) REFERENCES `class` (`class_id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 1005 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of student
-- ----------------------------
INSERT INTO `student` VALUES (1, '666', '男', '2023-08-05', '123', '1班', 1, NULL, 0);
INSERT INTO `student` VALUES (2, '任睿', '男', '2023-06-08', '755-932-5038', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (3, '123', '男', '2022-04-02', '755-903-5159', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (4, '于晓明', '男', '2012-06-14', '184-5561-7225', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (5, '朱詩涵', '女', '2017-12-15', '769-7113-1277', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (6, '无名氏', '男', '2013-12-08', '10-6915-9301', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (7, '萧杰宏', '男', '2015-11-20', '163-1608-7816', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (8, '魏震南', '男', '2008-05-08', '188-4895-8847', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (9, '马睿', '男', '2019-01-08', '194-2348-7153', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (10, '吴睿', '男', '2016-08-14', '186-8305-6131', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (11, '陶子韬', '男', '2014-10-10', '132-0506-6223', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (12, '孔秀英', '女', '2008-05-16', '174-5065-4676', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (13, '龚秀英', '女', '2012-03-17', '135-8708-5106', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (14, '魏嘉伦', '男', '2013-07-08', '192-1427-8634', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (15, '余震南', '男', '2011-10-06', '10-2552-7628', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (16, '唐子韬', '男', '2017-03-03', '163-8781-4119', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (17, '龙睿', '男', '2021-07-04', '159-0643-6607', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (18, '徐震南', '男', '2007-08-26', '181-0202-3729', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (19, '莫嘉伦', '男', '2005-06-23', '20-9663-1017', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (20, '朱秀英', '女', '2007-09-06', '140-9224-0656', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (21, '贾致远', '男', '2022-04-27', '136-5583-1275', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (22, '钟子韬', '男', '2015-08-25', '198-4974-9401', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (23, '秦秀英', '女', '2018-11-16', '21-0207-6053', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (24, '郑安琪', '女', '2001-11-14', '760-6656-2672', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (25, '邓致远', '男', '2017-07-12', '154-1505-2414', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (26, '谢致远', '男', '2007-02-15', '134-5972-5075', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (27, '刘宇宁', '男', '2001-03-09', '198-4944-3502', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (28, '谢詩涵', '女', '2000-08-23', '769-7854-0562', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (29, '严子异', '男', '2013-06-08', '183-5552-1838', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (30, '龚嘉伦', '男', '2018-11-11', '769-4469-2354', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (31, '田詩涵', '女', '2012-04-15', '131-5508-9278', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (32, '曾云熙', '男', '2003-02-10', '153-9444-6777', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (33, '陆震南', '男', '2020-01-14', '755-527-6700', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (34, '龙睿', '男', '2015-05-19', '755-895-2692', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (35, '刘杰宏', '男', '2020-12-31', '20-3021-4361', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (36, '林震南', '男', '2007-08-19', '20-8458-8800', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (37, '林睿', '男', '2003-08-25', '170-9633-5927', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (38, '孙致远', '男', '2008-11-30', '163-8430-1753', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (39, '谢致远', '男', '2008-05-04', '769-556-3764', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (40, '叶宇宁', '男', '2013-08-12', '136-0355-0394', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (41, '石詩涵', '女', '2018-05-22', '10-263-4061', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (42, '董岚', '女', '2001-05-18', '163-3050-7753', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (43, '史安琪', '女', '2006-12-10', '769-372-4457', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (44, '孟晓明', '男', '2019-06-29', '155-7322-8731', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (45, '卢安琪', '女', '2003-02-07', '21-026-4738', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (46, '杜晓明', '男', '2005-01-23', '769-6998-0369', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (47, '袁致远', '男', '2004-02-21', '760-4179-0832', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (48, '田子异', '男', '2002-02-12', '21-505-8086', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (49, '曹安琪', '女', '2005-05-12', '156-9560-0503', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (50, '李睿', '男', '2002-03-02', '28-0664-1930', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (51, '何睿', '男', '2011-11-27', '141-1534-9634', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (52, '孙詩涵', '女', '2019-05-01', '28-894-5388', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (53, '郝嘉伦', '男', '2000-06-14', '769-090-5453', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (54, '王詩涵', '女', '2003-01-24', '135-3112-0400', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (55, '薛秀英', '女', '2002-02-26', '755-0564-9322', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (56, '钱宇宁', '男', '2005-09-27', '20-805-9364', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (57, '杜子韬', '男', '2010-06-25', '10-730-4936', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (58, '王致远', '男', '2006-02-01', '177-9928-2974', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (59, '蔡致远', '男', '2017-02-26', '769-216-8963', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (60, '钱詩涵', '女', '2010-12-29', '189-3641-8911', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (61, '薛宇宁', '男', '2010-05-12', '137-8577-1402', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (62, '雷子韬', '男', '2001-10-13', '760-2562-9657', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (63, '常秀英', '女', '2007-05-17', '760-762-3838', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (64, '谭杰宏', '男', '2017-08-15', '196-6730-7772', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (65, '韦安琪', '女', '2021-10-07', '132-0328-2544', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (66, '李云熙', '男', '2020-02-05', '21-2823-2072', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (67, '钟云熙', '男', '2007-12-03', '10-366-4134', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (68, '徐岚', '女', '2006-11-04', '769-078-8421', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (69, '杨震南', '男', '2009-12-16', '169-9867-1478', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (70, '谢安琪', '女', '2010-06-21', '10-1605-8301', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (71, '朱杰宏', '男', '2014-07-31', '21-430-1239', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (72, '李子异', '男', '2018-03-28', '755-9639-4950', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (73, '卢致远', '男', '2011-12-02', '187-0418-6984', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (74, '叶晓明', '男', '2004-03-02', '20-4265-4030', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (75, '蒋子韬', '男', '2018-03-20', '769-127-6104', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (76, '蒋子韬', '男', '2019-05-26', '147-2713-7248', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (77, '郝子异', '男', '2012-03-23', '28-2746-1068', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (78, '李睿', '男', '2020-03-05', '760-4907-0805', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (79, '潘震南', '男', '2010-08-21', '760-537-4529', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (80, '何璐', '女', '2013-06-16', '755-192-2459', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (81, '高震南', '男', '2020-02-26', '20-473-0599', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (82, '宋睿', '男', '2023-01-15', '760-994-2893', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (83, '石宇宁', '男', '2023-06-05', '755-0520-3385', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (84, '李云熙', '男', '2020-04-09', '28-280-4814', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (85, '周宇宁', '男', '2016-04-13', '164-0900-9081', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (86, '阎宇宁', '男', '2012-08-10', '168-6449-3284', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (87, '沈杰宏', '男', '2016-08-22', '188-3549-8823', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (88, '王震南', '男', '2013-05-04', '193-2939-7947', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (89, '郭致远', '男', '2001-01-31', '769-6326-3746', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (90, '林岚', '女', '2014-07-24', '135-3906-3389', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (91, '沈震南', '男', '2011-04-17', '28-1038-4122', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (92, '胡宇宁', '男', '2018-08-12', '760-211-4043', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (93, '蔡嘉伦', '男', '2022-11-29', '150-4472-1094', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (94, '谭嘉伦', '男', '2003-06-14', '197-0935-2342', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (95, '林子韬', '男', '2021-03-27', '169-7218-1057', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (96, '侯晓明', '男', '2005-02-18', '21-8298-8621', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (97, '石云熙', '男', '2000-06-11', '760-180-6127', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (98, '武嘉伦', '男', '2018-04-26', '755-8220-0144', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (99, '沈云熙', '男', '2008-08-22', '171-8781-8880', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (100, '龚致远', '男', '2000-01-15', '138-7660-9587', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (101, '陆璐', '女', '2011-10-03', '21-811-3708', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (102, '邵安琪', '女', '2015-03-25', '10-8023-6572', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (103, '邹詩涵', '女', '2008-06-09', '187-4994-7975', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (104, '莫晓明', '男', '2006-07-20', '755-661-7652', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (105, '陆子异', '男', '2002-10-03', '20-9285-3732', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (106, '邵睿', '男', '2006-03-26', '760-557-6527', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (107, '韦云熙', '男', '2005-05-28', '755-070-0636', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (108, '龚嘉伦', '男', '2000-12-15', '20-2844-8033', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (109, '阎子韬', '男', '2001-09-28', '169-8717-9942', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (110, '曾子韬', '男', '2004-09-27', '139-7156-9979', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (111, '何睿', '男', '2014-01-24', '171-1898-3217', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (112, '钟晓明', '男', '2000-02-03', '755-517-8789', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (113, '汤璐', '女', '2001-12-12', '760-326-0615', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (114, '董宇宁', '男', '2003-03-21', '174-2921-9229', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (115, '薛震南', '男', '2011-03-12', '21-194-4521', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (116, '马子韬', '男', '2018-03-02', '769-5083-3685', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (117, '龚宇宁', '男', '2021-10-30', '160-2746-8762', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (118, '史岚', '女', '2002-03-08', '10-764-8257', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (119, '钱詩涵', '女', '2013-10-30', '21-314-8450', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (120, '尹秀英', '女', '2017-05-21', '156-4480-4704', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (121, '石子韬', '男', '2021-02-19', '148-4818-1921', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (122, '龚杰宏', '男', '2015-05-12', '186-7966-9832', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (123, '张岚', '女', '2012-11-08', '769-8309-2546', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (124, '李璐', '女', '2006-03-04', '171-3870-4043', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (125, '周嘉伦', '男', '2017-03-06', '769-3548-0192', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (126, '金致远', '男', '2009-01-05', '150-2628-3217', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (127, '熊嘉伦', '男', '2019-05-28', '170-1658-8065', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (128, '孟嘉伦', '男', '2012-12-18', '21-247-2455', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (129, '梁璐', '女', '2015-12-09', '156-6455-0903', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (130, '钟子异', '男', '2021-07-13', '155-6605-9630', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (131, '郑云熙', '男', '2017-12-23', '186-7550-3045', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (132, '江詩涵', '女', '2007-05-11', '161-8170-6336', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (133, '姜宇宁', '男', '2020-12-23', '21-725-8319', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (134, '任云熙', '男', '2013-09-07', '28-937-0186', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (135, '汤晓明', '男', '2013-02-18', '769-066-1493', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (136, '张晓明', '男', '2018-11-09', '186-8441-9802', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (137, '陆秀英', '女', '2012-06-14', '28-7795-1702', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (138, '孟秀英', '女', '2019-02-01', '189-3097-3952', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (139, '莫岚', '女', '2001-05-20', '769-102-1445', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (140, '蒋云熙', '男', '2005-08-28', '136-4715-8871', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (141, '傅嘉伦', '男', '2002-02-13', '176-8618-1420', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (142, '姜詩涵', '女', '2012-04-01', '10-6488-9059', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (143, '顾子韬', '男', '2004-06-19', '149-5757-5281', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (144, '钱晓明', '男', '2005-05-16', '166-6574-3970', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (145, '金杰宏', '男', '2016-02-04', '10-5821-7836', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (146, '宋秀英', '女', '2003-12-20', '20-598-3965', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (147, '潘璐', '女', '2012-10-31', '182-9608-2057', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (148, '赵致远', '男', '2003-04-11', '21-297-7137', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (149, '刘宇宁', '男', '2003-07-30', '136-6130-9121', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (150, '曹晓明', '男', '2003-11-11', '28-8560-1844', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (151, '石詩涵', '女', '2008-04-01', '134-9666-1104', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (152, '龚子韬', '男', '2023-01-20', '755-480-7761', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (153, '朱宇宁', '男', '2015-03-06', '137-7241-6729', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (154, '马子异', '男', '2008-05-12', '198-1776-6962', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (155, '孔詩涵', '女', '2020-05-12', '144-8513-3912', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (156, '高杰宏', '男', '2013-05-20', '20-046-2782', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (157, '薛秀英', '女', '2023-03-01', '183-9821-9692', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (158, '毛云熙', '男', '2004-07-23', '137-6236-3832', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (159, '孟安琪', '女', '2017-10-18', '755-2936-9108', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (160, '龚子韬', '男', '2004-05-28', '168-5028-5504', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (161, '徐致远', '男', '2001-02-19', '188-3259-8892', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (162, '冯安琪', '女', '2003-03-03', '152-3517-8552', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (163, '卢致远', '男', '2006-01-15', '769-3490-0116', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (164, '叶嘉伦', '男', '2001-09-29', '167-0524-6910', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (165, '林子韬', '男', '2005-09-28', '10-2092-7545', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (166, '萧致远', '男', '2015-03-08', '175-1554-3779', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (167, '侯睿', '男', '2004-05-30', '21-014-4023', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (168, '夏晓明', '男', '2004-08-04', '28-003-1802', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (169, '丁晓明', '男', '2007-11-03', '141-5607-0902', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (170, '雷安琪', '女', '2005-05-24', '145-6633-4208', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (171, '雷震南', '男', '2014-08-20', '135-8017-2754', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (172, '任安琪', '女', '2015-09-03', '163-0244-2089', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (173, '吴子异', '男', '2000-07-01', '161-0447-3018', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (174, '罗安琪', '女', '2001-12-06', '154-5398-2100', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (175, '苏致远', '男', '2008-08-23', '130-9052-5405', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (176, '熊杰宏', '男', '2021-06-23', '21-7625-6067', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (177, '徐云熙', '男', '2017-12-31', '180-7984-7562', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (178, '邓嘉伦', '男', '2018-08-07', '755-0465-3744', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (179, '朱子异', '男', '2015-10-19', '172-6228-8488', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (180, '宋杰宏', '男', '2022-08-31', '755-5971-0305', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (181, '陆嘉伦', '男', '2000-10-03', '131-1144-7375', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (182, '马震南', '男', '2022-03-22', '190-2608-3852', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (183, '冯秀英', '女', '2015-06-22', '162-3006-4684', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (184, '董睿', '男', '2018-03-31', '161-8062-6199', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (185, '崔杰宏', '男', '2006-12-04', '156-5620-5339', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (186, '彭安琪', '女', '2012-06-29', '190-4436-2477', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (187, '石岚', '女', '2001-07-07', '196-0510-2616', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (188, '卢震南', '男', '2017-04-02', '769-470-9352', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (189, '刘睿', '男', '2008-11-24', '10-8079-5426', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (190, '向宇宁', '男', '2019-08-20', '151-4361-6092', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (191, '龙安琪', '女', '2014-03-04', '187-4646-2313', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (192, '郑璐', '女', '2011-06-24', '28-3816-0704', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (193, '沈詩涵', '女', '2016-07-27', '28-797-8673', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (194, '吕璐', '女', '2022-01-13', '10-919-9242', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (195, '李云熙', '男', '2007-12-05', '173-8573-2139', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (196, '钟晓明', '男', '2012-06-03', '755-4880-7645', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (197, '胡安琪', '女', '2003-02-21', '10-564-1514', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (198, '黎杰宏', '男', '2008-11-15', '21-674-1622', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (199, '常安琪', '女', '2022-07-17', '131-7419-0577', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (200, '王子韬', '男', '2014-10-28', '760-0615-6205', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (201, '于宇宁', '男', '2022-10-14', '130-7852-2686', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (202, '贺秀英', '女', '2011-01-08', '136-9218-4330', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (203, '姜子韬', '男', '2016-03-22', '174-7182-9289', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (204, '姚睿', '男', '2002-05-25', '755-400-0216', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (205, '周安琪', '女', '2022-08-20', '166-1530-1134', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (206, '马杰宏', '男', '2005-10-01', '21-8487-2718', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (207, '蔡子韬', '男', '2020-01-05', '769-942-1732', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (208, '任璐', '女', '2001-09-30', '180-0772-0205', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (209, '谭璐', '女', '2022-10-22', '755-9568-1934', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (210, '薛詩涵', '女', '2006-04-15', '769-364-6586', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (211, '高岚', '女', '2006-10-17', '760-986-5215', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (212, '黎子异', '男', '2008-02-15', '146-6756-7282', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (213, '龙云熙', '男', '2022-10-20', '186-7839-4322', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (214, '贾云熙', '男', '2017-09-11', '149-5922-4488', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (215, '汪子异', '男', '2021-06-18', '769-459-4163', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (216, '廖云熙', '男', '2018-08-22', '755-0140-0702', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (217, '郝宇宁', '男', '2017-03-08', '760-981-1673', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (218, '常子异', '男', '2009-05-14', '174-2683-8210', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (219, '徐杰宏', '男', '2008-08-09', '150-4250-7102', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (220, '毛安琪', '女', '2017-02-09', '10-542-7598', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (221, '蒋致远', '男', '2018-07-02', '28-6946-2314', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (222, '夏子韬', '男', '2008-12-08', '158-0569-8054', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (223, '秦宇宁', '男', '2020-10-03', '760-4831-6272', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (224, '钟子异', '男', '2004-09-26', '145-0059-4140', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (225, '常致远', '男', '2016-04-12', '167-9128-2879', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (226, '毛嘉伦', '男', '2002-09-17', '162-8770-4652', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (227, '毛云熙', '男', '2000-09-15', '20-1174-7973', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (228, '汪睿', '男', '2016-05-14', '139-9324-7463', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (229, '叶晓明', '男', '2007-11-28', '769-289-9626', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (230, '方岚', '女', '2006-08-30', '10-9638-0993', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (231, '韦岚', '女', '2006-02-18', '755-947-5414', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (232, '邹震南', '男', '2017-11-12', '131-2841-1486', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (233, '武杰宏', '男', '2016-11-17', '151-0834-8920', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (234, '吴詩涵', '女', '2009-03-30', '10-2003-8589', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (235, '邵致远', '男', '2008-08-19', '157-7341-1869', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (236, '邓震南', '男', '2004-10-26', '10-0766-5723', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (237, '陶子韬', '男', '2003-12-09', '21-070-9148', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (238, '苏杰宏', '男', '2004-04-17', '144-0126-7571', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (239, '黄安琪', '女', '2023-01-14', '147-3382-9757', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (240, '孟震南', '男', '2021-09-15', '180-7334-7089', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (241, '唐安琪', '女', '2007-05-16', '178-4561-3484', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (242, '侯杰宏', '男', '2019-06-10', '162-4261-7181', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (243, '李致远', '男', '2016-01-20', '164-1549-8649', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (244, '钟秀英', '女', '2022-09-24', '769-047-8930', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (245, '刘子韬', '男', '2008-10-02', '21-574-3607', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (246, '顾致远', '男', '2009-01-31', '21-209-7610', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (247, '张子韬', '男', '2015-09-08', '769-007-4216', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (248, '余致远', '男', '2021-08-18', '760-0802-0060', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (249, '沈詩涵', '女', '2010-08-11', '133-2944-1275', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (250, '程震南', '男', '2009-03-27', '10-2475-9529', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (251, '姜晓明', '男', '2001-06-16', '152-8166-6153', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (252, '苏璐', '女', '2017-12-10', '162-2767-5918', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (253, '刘致远', '男', '2016-11-24', '165-9077-2788', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (254, '傅宇宁', '男', '2014-11-22', '199-4346-3521', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (255, '黎璐', '女', '2004-06-10', '138-2264-7737', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (256, '江秀英', '女', '2021-07-07', '20-797-3156', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (257, '常詩涵', '女', '2001-09-10', '174-0061-3125', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (258, '范云熙', '男', '2019-12-29', '175-0493-3702', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (259, '胡安琪', '女', '2018-01-01', '20-9001-1890', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (260, '沈安琪', '女', '2005-11-22', '173-3615-2020', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (261, '袁秀英', '女', '2001-12-14', '150-5209-7939', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (262, '秦晓明', '男', '2006-05-25', '20-969-9651', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (263, '苏嘉伦', '男', '2015-11-25', '755-9262-0314', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (264, '郝嘉伦', '男', '2015-11-07', '170-4189-0381', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (265, '孔致远', '男', '2017-12-13', '160-7469-3157', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (266, '向震南', '男', '2019-02-14', '163-5085-7001', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (267, '郝安琪', '女', '2014-06-08', '28-4021-7132', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (268, '赵詩涵', '女', '2005-07-27', '134-8546-0849', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (269, '田詩涵', '女', '2012-01-26', '20-2545-3735', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (270, '王璐', '女', '2022-06-10', '167-1986-1436', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (271, '贾云熙', '男', '2022-03-27', '755-567-9323', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (272, '赵璐', '女', '2017-03-09', '134-1450-5872', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (273, '沈子韬', '男', '2018-07-27', '194-5330-2386', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (274, '邵嘉伦', '男', '2006-11-17', '135-3072-1596', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (275, '贾岚', '女', '2019-12-08', '760-4454-7071', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (276, '夏震南', '男', '2006-05-19', '760-412-0634', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (277, '邵秀英', '女', '2012-04-11', '760-4067-5603', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (278, '戴震南', '男', '2015-10-03', '154-3827-1499', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (279, '丁杰宏', '男', '2020-07-07', '187-8411-3611', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (280, '任晓明', '男', '2000-12-05', '20-4417-1072', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (281, '邱璐', '女', '2018-01-21', '10-960-0558', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (282, '杨璐', '女', '2020-12-15', '157-2252-7460', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (283, '谢嘉伦', '男', '2017-12-27', '184-3132-9904', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (284, '丁子异', '男', '2001-08-24', '137-1194-5335', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (285, '孙云熙', '男', '2015-01-14', '139-9622-1483', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (286, '范嘉伦', '男', '2003-05-23', '159-7774-4107', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (287, '常震南', '男', '2014-09-21', '760-056-4808', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (288, '罗云熙', '男', '2021-12-19', '182-8732-3869', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (289, '曹云熙', '男', '2022-04-22', '156-1489-7810', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (290, '程嘉伦', '男', '2002-04-30', '28-1974-6380', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (291, '黎子韬', '男', '2005-03-18', '755-3971-1939', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (292, '赵云熙', '男', '2023-02-05', '755-732-8335', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (293, '曹睿', '男', '2008-09-07', '180-7038-3678', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (294, '毛子韬', '男', '2021-08-12', '769-0729-1907', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (295, '秦子异', '男', '2006-06-04', '760-925-1118', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (296, '莫詩涵', '女', '2011-08-06', '10-153-1599', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (297, '陈岚', '女', '2018-11-30', '755-906-9109', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (298, '阎子韬', '男', '2013-08-03', '181-9290-8399', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (299, '杜震南', '男', '2011-01-24', '190-3745-3548', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (300, '钱云熙', '男', '2004-08-11', '760-4350-1124', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (301, '段詩涵', '女', '2016-12-22', '28-0771-8066', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (302, '何云熙', '男', '2014-08-26', '166-2641-8282', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (303, '吴子异', '男', '2006-08-18', '10-720-9123', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (304, '吴云熙', '男', '2016-04-02', '170-7407-3492', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (305, '马安琪', '女', '2021-04-21', '170-2798-6493', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (306, '程子韬', '男', '2009-06-27', '177-6962-7159', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (307, '钱晓明', '男', '2011-08-03', '131-3240-9532', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (308, '魏晓明', '男', '2001-08-31', '760-5970-2393', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (309, '史璐', '女', '2021-08-03', '20-958-9747', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (310, '罗震南', '男', '2017-06-01', '141-5904-3071', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (311, '武晓明', '男', '2012-05-28', '10-395-0340', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (312, '杜子异', '男', '2005-12-26', '183-7909-1363', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (313, '雷云熙', '男', '2016-05-10', '138-7332-9931', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (314, '陈嘉伦', '男', '2008-06-18', '755-8336-9673', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (315, '廖云熙', '男', '2023-03-05', '191-3799-8966', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (316, '侯睿', '男', '2000-11-27', '20-5204-2245', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (317, '孔杰宏', '男', '2009-06-23', '198-1357-0453', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (318, '汪岚', '女', '2020-12-23', '760-0232-4408', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (319, '谢致远', '男', '2017-09-30', '179-7581-6960', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (320, '阎子异', '男', '2021-08-07', '159-3160-4291', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (321, '冯震南', '男', '2021-09-10', '21-917-2542', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (322, '薛晓明', '男', '2003-04-10', '170-5117-5559', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (323, '董詩涵', '女', '2022-08-13', '10-116-5239', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (324, '毛杰宏', '男', '2009-03-21', '20-5943-5650', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (325, '吴詩涵', '女', '2021-06-07', '172-9487-6993', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (326, '尹嘉伦', '男', '2008-10-16', '21-722-8747', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (327, '陈秀英', '女', '2010-08-05', '10-040-0435', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (328, '许子韬', '男', '2002-04-08', '760-700-5528', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (329, '姚宇宁', '男', '2005-06-11', '197-1186-1333', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (330, '贺睿', '男', '2004-04-15', '21-8834-3716', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (331, '邓致远', '男', '2020-03-21', '152-2614-0532', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (332, '黄宇宁', '男', '2005-08-01', '143-7666-7457', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (333, '阎致远', '男', '2010-03-01', '131-8574-2093', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (334, '邵杰宏', '男', '2011-11-15', '10-5278-6862', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (335, '赵秀英', '女', '2008-11-22', '171-7790-1550', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (336, '常致远', '男', '2008-08-15', '163-0183-5753', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (337, '郝睿', '男', '2015-02-10', '193-8933-1888', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (338, '韩宇宁', '男', '2014-09-13', '182-4831-4863', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (339, '唐睿', '男', '2021-01-16', '28-137-9250', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (340, '熊杰宏', '男', '2007-09-30', '760-1062-1998', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (341, '贺子韬', '男', '2017-09-26', '21-125-1613', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (342, '于致远', '男', '2000-04-18', '10-5997-9470', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (343, '谢震南', '男', '2000-02-09', '769-2363-3012', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (344, '叶安琪', '女', '2018-02-28', '10-4085-8080', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (345, '韦晓明', '男', '2015-08-20', '187-4777-5416', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (346, '邹子异', '男', '2009-06-28', '187-2676-9946', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (347, '魏子韬', '男', '2009-09-19', '760-2899-2964', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (348, '蒋致远', '男', '2001-10-09', '179-9158-6371', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (349, '余震南', '男', '2017-03-12', '20-4255-7473', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (350, '姜杰宏', '男', '2014-04-01', '187-9766-2333', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (351, '罗子异', '男', '2003-09-04', '755-3271-2839', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (352, '贺云熙', '男', '2021-11-15', '760-3733-1119', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (353, '程嘉伦', '男', '2015-02-04', '167-8050-2982', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (354, '沈睿', '男', '2015-06-11', '28-549-3101', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (355, '曹秀英', '女', '2022-04-21', '760-4452-0585', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (356, '蔡云熙', '男', '2021-08-21', '196-4508-2476', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (357, '顾睿', '男', '2021-11-12', '755-379-9454', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (358, '沈璐', '女', '2006-09-11', '165-0312-9858', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (359, '汪云熙', '男', '2018-02-10', '135-5165-0471', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (360, '谭璐', '女', '2004-10-07', '175-9009-0453', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (361, '徐致远', '男', '2001-02-08', '21-9050-9828', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (362, '朱致远', '男', '2016-03-30', '180-1286-0219', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (363, '刘秀英', '女', '2009-03-06', '198-9372-7693', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (364, '袁云熙', '男', '2003-10-02', '166-3429-8957', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (365, '方秀英', '女', '2002-11-12', '181-6985-8045', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (366, '高嘉伦', '男', '2020-04-12', '139-3183-8166', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (367, '何晓明', '男', '2002-10-21', '148-5423-8697', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (368, '汪晓明', '男', '2013-09-23', '132-6158-7830', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (369, '周宇宁', '男', '2006-08-12', '10-5666-6981', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (370, '袁宇宁', '男', '2010-03-18', '175-7637-9141', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (371, '张宇宁', '男', '2021-09-17', '195-5552-6037', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (372, '彭璐', '女', '2023-03-25', '197-5634-2458', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (373, '何璐', '女', '2011-01-31', '21-7847-4878', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (374, '丁子异', '男', '2021-01-22', '139-5916-2292', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (375, '萧震南', '男', '2011-01-16', '21-1099-1168', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (376, '陶岚', '女', '2003-01-16', '21-377-6939', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (377, '任云熙', '男', '2013-11-23', '21-984-0454', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (378, '林安琪', '女', '2011-03-12', '161-3095-7440', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (379, '宋秀英', '女', '2013-04-30', '170-6711-7922', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (380, '姚安琪', '女', '2018-01-24', '20-964-5251', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (381, '刘杰宏', '男', '2008-11-25', '130-5061-8583', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (382, '严秀英', '女', '2001-07-28', '150-1305-6281', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (383, '梁致远', '男', '2004-08-14', '169-7156-0012', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (384, '郑宇宁', '男', '2021-01-06', '28-6105-4976', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (385, '于安琪', '女', '2007-12-22', '10-7294-4213', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (386, '杜宇宁', '男', '2013-02-02', '163-6178-8084', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (387, '郭安琪', '女', '2021-09-27', '163-0907-2569', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (388, '唐云熙', '男', '2019-12-18', '184-5268-7369', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (389, '谭安琪', '女', '2009-04-25', '161-1752-3045', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (390, '汪晓明', '男', '2017-06-22', '769-055-5570', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (391, '范致远', '男', '2019-07-29', '10-586-1071', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (392, '李子异', '男', '2020-08-29', '170-1960-7469', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (393, '曾云熙', '男', '2011-11-23', '190-8417-5588', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (394, '姜璐', '女', '2022-10-28', '21-8973-7185', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (395, '徐致远', '男', '2018-10-16', '21-542-2204', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (396, '龙杰宏', '男', '2019-09-15', '180-4234-7440', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (397, '孟云熙', '男', '2020-02-02', '20-109-2428', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (398, '黎晓明', '男', '2006-05-17', '760-2168-5699', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (399, '曾子异', '男', '2020-12-03', '185-0397-4793', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (400, '冯云熙', '男', '2019-04-07', '168-6271-3874', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (401, '袁岚', '女', '2020-01-09', '177-0057-0087', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (402, '张宇宁', '男', '2007-12-30', '178-8638-9711', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (403, '姚云熙', '男', '2013-09-09', '755-9478-5922', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (404, '潘秀英', '女', '2009-01-07', '171-4817-4860', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (405, '邵秀英', '女', '2016-02-06', '173-4160-4008', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (406, '顾岚', '女', '2008-03-24', '760-304-1292', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (407, '吴岚', '女', '2004-01-02', '149-5026-6259', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (408, '张秀英', '女', '2020-07-22', '769-552-2686', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (409, '严岚', '女', '2006-03-31', '20-5067-7578', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (410, '王睿', '男', '2015-04-12', '755-394-2535', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (411, '谭震南', '男', '2017-12-23', '176-0058-9088', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (412, '丁子异', '男', '2020-10-04', '197-8474-8598', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (413, '陈睿', '男', '2004-12-22', '199-3127-6428', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (414, '谭子异', '男', '2013-06-26', '170-0910-7896', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (415, '朱璐', '女', '2011-04-04', '10-984-2502', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (416, '魏杰宏', '男', '2017-07-01', '760-064-7488', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (417, '陆秀英', '女', '2011-12-20', '132-9942-8830', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (418, '钱宇宁', '男', '2022-12-13', '193-2715-6436', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (419, '范睿', '男', '2021-05-08', '176-4046-0894', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (420, '阎子异', '男', '2002-08-18', '769-074-5733', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (421, '孙岚', '女', '2017-08-20', '178-8126-8919', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (422, '于嘉伦', '男', '2007-04-22', '20-0520-7545', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (423, '孔秀英', '女', '2008-06-02', '174-5386-9348', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (424, '袁岚', '女', '2022-02-02', '169-7483-0987', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (425, '龚璐', '女', '2012-01-01', '755-571-6193', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (426, '于云熙', '男', '2002-10-10', '142-6883-2373', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (427, '谢嘉伦', '男', '2021-03-03', '28-2987-3656', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (428, '向睿', '男', '2018-07-25', '167-9501-1264', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (429, '韩晓明', '男', '2002-07-01', '160-5563-2042', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (430, '汤致远', '男', '2009-09-22', '153-4479-7418', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (431, '郭嘉伦', '男', '2015-07-20', '21-7244-0879', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (432, '沈嘉伦', '男', '2000-11-04', '10-178-8044', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (433, '余杰宏', '男', '2018-09-26', '137-0734-9751', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (434, '罗致远', '男', '2008-10-19', '10-2613-9979', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (435, '徐璐', '女', '2014-06-19', '141-9026-1375', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (436, '龙璐', '女', '2001-03-13', '769-050-7419', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (437, '贾宇宁', '男', '2011-12-28', '10-5482-6587', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (438, '姜安琪', '女', '2010-06-21', '760-335-5284', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (439, '沈岚', '女', '2006-09-17', '755-3668-0297', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (440, '顾子异', '男', '2018-10-25', '21-912-0252', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (441, '苏震南', '男', '2021-12-28', '10-7124-6086', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (442, '毛宇宁', '男', '2006-02-03', '760-6327-3782', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (443, '武岚', '女', '2018-11-04', '28-9731-0397', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (444, '何岚', '女', '2009-07-14', '142-3173-2997', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (445, '傅詩涵', '女', '2011-11-05', '198-9165-5755', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (446, '于子韬', '男', '2001-04-04', '28-8080-4903', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (447, '高秀英', '女', '2020-11-21', '164-1373-0211', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (448, '董宇宁', '男', '2022-04-05', '28-9492-0379', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (449, '秦晓明', '男', '2004-11-23', '10-557-6441', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (450, '傅安琪', '女', '2008-12-09', '21-849-0609', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (451, '于璐', '女', '2016-01-03', '176-3771-1239', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (452, '韦致远', '男', '2007-10-30', '191-6464-4479', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (453, '潘震南', '男', '2021-10-17', '20-851-3769', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (454, '沈安琪', '女', '2019-10-25', '769-375-8048', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (455, '胡宇宁', '男', '2008-02-05', '168-3177-4673', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (456, '赵云熙', '男', '2003-10-05', '164-0617-0632', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (457, '贺嘉伦', '男', '2018-09-11', '20-3066-0765', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (458, '严岚', '女', '2014-02-23', '769-289-8881', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (459, '徐致远', '男', '2015-09-01', '197-2333-3125', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (460, '孙嘉伦', '男', '2023-03-02', '144-5833-1620', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (461, '邵璐', '女', '2005-12-30', '192-0083-7888', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (462, '曹璐', '女', '2009-03-09', '146-0120-3284', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (463, '杜子异', '男', '2015-08-17', '21-5590-6154', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (464, '韦詩涵', '女', '2007-02-24', '20-295-0062', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (465, '汪致远', '男', '2022-09-19', '755-859-3758', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (466, '唐杰宏', '男', '2002-12-16', '173-4568-7095', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (467, '吴晓明', '男', '2013-06-15', '160-8688-0728', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (468, '金云熙', '男', '2013-09-19', '755-206-7101', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (469, '段杰宏', '男', '2002-02-27', '133-6673-9654', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (470, '郝安琪', '女', '2008-09-28', '188-0434-0549', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (471, '任晓明', '男', '2011-07-18', '10-5874-3939', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (472, '陈子韬', '男', '2003-06-21', '760-737-9814', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (473, '尹致远', '男', '2000-03-24', '138-6705-6670', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (474, '贾睿', '男', '2022-09-23', '142-4884-9026', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (475, '石嘉伦', '男', '2017-02-27', '150-7902-0321', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (476, '叶震南', '男', '2008-02-16', '21-788-4044', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (477, '王安琪', '女', '2017-05-26', '21-0631-8856', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (478, '王震南', '男', '2015-10-13', '28-306-7683', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (479, '汤岚', '女', '2017-01-20', '20-934-5117', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (480, '胡睿', '男', '2004-07-06', '159-3643-9062', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (481, '严璐', '女', '2004-12-03', '760-822-5119', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (482, '陆云熙', '男', '2001-09-21', '191-2842-2420', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (483, '董睿', '男', '2015-10-27', '185-5851-7514', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (484, '张震南', '男', '2019-12-18', '199-6284-1642', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (485, '黄詩涵', '女', '2016-02-12', '164-0505-4122', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (486, '黄安琪', '女', '2013-10-23', '158-1739-8884', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (487, '韦震南', '男', '2011-07-14', '10-703-9238', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (488, '余子韬', '男', '2021-04-02', '144-8499-4461', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (489, '任震南', '男', '2017-05-04', '136-8573-6861', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (490, '冯睿', '男', '2010-01-15', '21-978-2403', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (491, '袁安琪', '女', '2008-11-16', '162-0013-4833', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (492, '薛詩涵', '女', '2016-12-13', '132-6292-7009', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (493, '邵晓明', '男', '2004-06-21', '152-0439-9031', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (494, '方岚', '女', '2010-12-26', '20-3527-5372', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (495, '高云熙', '男', '2002-04-24', '20-271-0989', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (496, '江子韬', '男', '2005-12-08', '755-628-7852', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (497, '朱震南', '男', '2009-06-06', '174-1548-7528', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (498, '谢子异', '男', '2017-10-17', '163-2790-7987', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (499, '罗子韬', '男', '2007-08-31', '755-869-6631', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (500, '薛宇宁', '男', '2009-05-21', '760-984-5527', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (501, '钱云熙', '男', '2003-02-02', '28-8674-0021', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (502, '邱云熙', '男', '2009-10-09', '183-8444-9780', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (503, '史安琪', '女', '2022-01-28', '158-2571-0899', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (504, '黄晓明', '男', '2017-06-17', '131-9527-3563', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (505, '韦璐', '女', '2006-01-27', '28-6153-1573', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (506, '董致远', '男', '2016-04-11', '28-6921-1602', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (507, '钱宇宁', '男', '2002-08-04', '28-0299-6953', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (508, '蒋致远', '男', '2022-06-12', '21-9800-7469', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (509, '曾睿', '男', '2021-12-16', '143-9124-5067', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (510, '萧震南', '男', '2007-03-24', '10-5017-9199', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (511, '宋宇宁', '男', '2012-12-06', '143-4214-7352', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (512, '高子韬', '男', '2020-01-06', '139-5980-3075', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (513, '孟嘉伦', '男', '2008-12-02', '760-110-4050', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (514, '孙璐', '女', '2016-03-31', '139-9763-0975', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (515, '尹秀英', '女', '2005-11-26', '141-5016-8766', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (516, '苏云熙', '男', '2004-01-01', '10-834-8889', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (517, '孟詩涵', '女', '2002-01-22', '28-217-9878', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (518, '许震南', '男', '2009-01-13', '21-424-3326', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (519, '秦岚', '女', '2009-11-18', '163-9646-8286', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (520, '于子异', '男', '2017-09-29', '134-2230-0985', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (521, '于子韬', '男', '2015-02-06', '162-5687-5186', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (522, '张杰宏', '男', '2009-08-28', '191-7704-1897', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (523, '曾晓明', '男', '2005-05-24', '199-3047-1241', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (524, '黄嘉伦', '男', '2004-12-20', '172-8722-7929', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (525, '钱詩涵', '女', '2016-05-27', '760-7021-0654', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (526, '傅云熙', '男', '2004-10-26', '21-906-3913', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (527, '贾云熙', '男', '2002-03-02', '769-972-2350', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (528, '林云熙', '男', '2000-04-04', '152-7615-0310', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (529, '马璐', '女', '2002-06-23', '132-1894-1337', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (530, '贾子韬', '男', '2006-10-09', '187-3583-2515', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (531, '毛致远', '男', '2020-06-25', '152-1099-2798', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (532, '高子韬', '男', '2009-09-27', '173-2134-7227', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (533, '徐云熙', '男', '2007-09-14', '10-1616-8697', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (534, '曾云熙', '男', '2015-01-29', '153-8349-8707', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (535, '吴璐', '女', '2014-02-22', '755-812-9729', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (536, '钱杰宏', '男', '2022-09-25', '760-320-3691', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (537, '孙璐', '女', '2022-10-14', '155-4623-6697', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (538, '董子异', '男', '2000-06-11', '10-818-7676', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (539, '戴晓明', '男', '2017-02-01', '10-7529-2017', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (540, '戴璐', '女', '2008-06-20', '155-4716-0691', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (541, '严璐', '女', '2002-02-16', '760-007-7866', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (542, '方致远', '男', '2017-01-01', '28-540-6439', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (543, '龙岚', '女', '2017-08-28', '10-519-4296', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (544, '赵睿', '男', '2020-09-29', '184-8193-8107', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (545, '严震南', '男', '2010-01-13', '21-5810-1064', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (546, '邵致远', '男', '2009-08-11', '170-4261-8841', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (547, '邱安琪', '女', '2015-04-14', '769-503-2645', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (548, '杨璐', '女', '2011-09-06', '171-3982-5327', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (549, '何安琪', '女', '2000-01-05', '21-4052-0927', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (550, '梁震南', '男', '2005-07-25', '190-9056-3841', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (551, '萧岚', '女', '2015-05-31', '199-6748-4962', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (552, '朱子韬', '男', '2016-09-27', '181-5465-5945', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (553, '钱睿', '男', '2020-01-05', '755-4622-9860', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (554, '金嘉伦', '男', '2006-01-11', '178-3837-8474', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (555, '王杰宏', '男', '2016-07-13', '150-4248-3980', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (556, '曾震南', '男', '2005-04-22', '28-1599-1375', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (557, '阎岚', '女', '2009-02-22', '10-0405-1408', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (558, '孙岚', '女', '2022-07-08', '161-2164-2021', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (559, '姚子韬', '男', '2003-05-30', '21-0750-7566', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (560, '邓詩涵', '女', '2000-06-16', '755-876-0079', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (561, '夏云熙', '男', '2013-04-23', '760-002-1859', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (562, '廖晓明', '男', '2012-03-09', '141-9446-9339', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (563, '许睿', '男', '2018-06-30', '162-3546-4228', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (564, '石子韬', '男', '2019-03-25', '170-6980-8347', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (565, '汤璐', '女', '2013-09-12', '190-8598-4969', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (566, '黎致远', '男', '2004-12-03', '20-4972-3770', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (567, '段安琪', '女', '2013-10-10', '755-089-3001', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (568, '陈詩涵', '女', '2006-04-07', '10-746-5096', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (569, '邹晓明', '男', '2002-10-13', '194-5970-2751', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (570, '彭云熙', '男', '2021-09-04', '171-2068-6644', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (571, '黎杰宏', '男', '2020-06-30', '193-8481-2338', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (572, '汤安琪', '女', '2018-01-24', '10-7823-9237', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (573, '程致远', '男', '2009-03-07', '174-9001-6977', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (574, '冯安琪', '女', '2016-10-26', '195-9220-2769', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (575, '朱致远', '男', '2018-10-15', '21-2694-8585', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (576, '苏秀英', '女', '2006-09-19', '142-8395-3112', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (577, '卢嘉伦', '男', '2006-11-05', '193-6072-6456', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (578, '赵宇宁', '男', '2022-07-23', '148-8857-2204', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (579, '向嘉伦', '男', '2014-03-14', '159-4589-7296', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (580, '吕宇宁', '男', '2009-09-10', '760-875-4011', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (581, '蒋云熙', '男', '2001-06-15', '10-1558-0918', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (582, '韩子韬', '男', '2000-06-17', '173-7110-6712', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (583, '严秀英', '女', '2021-06-10', '10-416-5882', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (584, '常子异', '男', '2008-05-30', '186-7082-8091', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (585, '孙璐', '女', '2014-10-05', '165-8447-2456', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (586, '邹詩涵', '女', '2000-11-08', '176-7080-1569', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (587, '谭宇宁', '男', '2009-05-23', '20-390-4244', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (588, '谭致远', '男', '2006-06-25', '20-6985-9471', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (589, '陈云熙', '男', '2014-05-25', '10-5578-5016', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (590, '钱嘉伦', '男', '2020-12-19', '10-0469-2271', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (591, '李子异', '男', '2009-05-02', '159-7542-8668', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (592, '田子异', '男', '2022-02-25', '755-942-1820', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (593, '韦嘉伦', '男', '2020-05-13', '760-3471-7379', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (594, '曾子异', '男', '2018-04-24', '21-681-7317', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (595, '雷子韬', '男', '2007-10-20', '150-7995-5082', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (596, '周睿', '男', '2018-09-28', '20-815-2079', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (597, '董杰宏', '男', '2008-10-21', '131-2498-1123', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (598, '卢杰宏', '男', '2007-05-29', '21-902-4971', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (599, '常子异', '男', '2019-01-03', '755-6705-9505', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (600, '江杰宏', '男', '2016-09-26', '10-5086-6277', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (601, '戴詩涵', '女', '2009-02-09', '769-945-6460', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (602, '高睿', '男', '2011-02-11', '10-7273-3197', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (603, '向杰宏', '男', '2019-10-02', '144-4802-0164', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (604, '黄安琪', '女', '2000-05-17', '149-7776-8760', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (605, '谢云熙', '男', '2013-01-11', '20-918-7893', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (606, '龚云熙', '男', '2023-03-22', '21-182-2953', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (607, '孟嘉伦', '男', '2004-05-06', '769-2556-6731', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (608, '钱宇宁', '男', '2018-07-01', '188-7130-1435', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (609, '刘震南', '男', '2008-01-23', '183-2641-8375', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (610, '孔璐', '女', '2003-09-10', '20-0571-0247', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (611, '戴宇宁', '男', '2010-06-03', '158-0329-9982', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (612, '钱杰宏', '男', '2002-08-27', '10-398-7237', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (613, '傅子异', '男', '2004-04-01', '755-2266-8715', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (614, '曾子韬', '男', '2001-01-01', '192-0305-6181', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (615, '贺璐', '女', '2015-03-17', '163-5847-5467', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (616, '徐嘉伦', '男', '2019-01-08', '183-8043-0715', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (617, '赵宇宁', '男', '2019-06-03', '769-9845-3001', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (618, '陈致远', '男', '2002-10-02', '20-0552-9445', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (619, '熊致远', '男', '2005-07-22', '179-1648-9209', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (620, '宋嘉伦', '男', '2003-01-03', '170-3986-5411', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (621, '程震南', '男', '2016-01-03', '28-0904-2588', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (622, '田震南', '男', '2011-12-09', '137-0758-6323', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (623, '廖晓明', '男', '2009-01-12', '755-617-5481', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (624, '谭震南', '男', '2014-03-13', '760-3904-1814', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (625, '贺震南', '男', '2003-08-21', '21-8612-2576', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (626, '彭岚', '女', '2022-10-25', '755-259-0809', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (627, '孟晓明', '男', '2005-08-21', '755-7122-0335', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (628, '韩嘉伦', '男', '2000-09-01', '755-5257-2262', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (629, '蒋睿', '男', '2017-07-13', '182-3518-4006', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (630, '钱晓明', '男', '2011-07-17', '168-5269-3451', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (631, '夏致远', '男', '2010-03-21', '10-7709-1961', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (632, '姚嘉伦', '男', '2014-10-03', '28-6556-2186', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (633, '方云熙', '男', '2004-04-27', '755-286-0453', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (634, '周震南', '男', '2001-02-15', '769-295-1113', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (635, '钱杰宏', '男', '2003-01-10', '187-0364-0264', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (636, '孟岚', '女', '2019-01-13', '10-8520-3819', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (637, '沈璐', '女', '2009-01-01', '10-1732-7312', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (638, '任致远', '男', '2003-07-31', '755-1079-9092', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (639, '严晓明', '男', '2008-11-09', '20-4735-5421', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (640, '钟子异', '男', '2002-11-09', '769-5788-7406', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (641, '陈嘉伦', '男', '2007-08-26', '132-9371-7703', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (642, '孟安琪', '女', '2006-01-21', '755-2196-0900', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (643, '贾詩涵', '女', '2016-05-05', '170-7891-4264', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (644, '潘璐', '女', '2011-06-17', '20-880-9433', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (645, '朱杰宏', '男', '2007-08-31', '20-2510-7487', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (646, '郑詩涵', '女', '2016-06-04', '21-085-9157', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (647, '汤嘉伦', '男', '2001-11-09', '192-3950-3870', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (648, '薛嘉伦', '男', '2001-07-03', '760-9479-0555', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (649, '毛嘉伦', '男', '2021-12-18', '760-364-9933', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (650, '阎岚', '女', '2017-06-12', '173-6367-9643', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (651, '孟安琪', '女', '2012-10-24', '143-6081-5439', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (652, '毛云熙', '男', '2006-01-11', '769-923-5664', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (653, '黎子异', '男', '2005-04-04', '760-5437-8685', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (654, '任秀英', '女', '2004-09-04', '10-222-3542', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (655, '郑致远', '男', '2004-03-09', '182-7161-1783', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (656, '魏致远', '男', '2007-05-20', '134-9714-8811', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (657, '钟子异', '男', '2016-08-17', '133-4039-4503', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (658, '丁杰宏', '男', '2011-02-14', '760-0425-7025', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (659, '石詩涵', '女', '2011-01-02', '21-534-1025', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (660, '韦安琪', '女', '2015-05-26', '135-5598-2904', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (661, '黎晓明', '男', '2010-10-24', '158-7342-6975', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (662, '林晓明', '男', '2016-08-25', '191-5127-7772', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (663, '郑安琪', '女', '2008-05-05', '157-7580-9541', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (664, '梁子韬', '男', '2021-07-26', '185-2992-4661', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (665, '戴璐', '女', '2009-12-29', '760-131-0694', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (666, '徐云熙', '男', '2004-09-02', '164-5237-5402', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (667, '唐杰宏', '男', '2020-04-19', '148-2866-2132', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (668, '孙杰宏', '男', '2005-11-29', '180-4629-8528', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (669, '韩睿', '男', '2018-08-12', '155-1994-6195', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (670, '何安琪', '女', '2015-05-25', '20-9344-6883', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (671, '梁岚', '女', '2021-08-18', '196-6488-7876', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (672, '傅宇宁', '男', '2018-06-24', '190-8274-9705', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (673, '邓震南', '男', '2004-05-22', '760-1727-5804', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (674, '龚致远', '男', '2003-02-02', '170-2800-4164', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (675, '江嘉伦', '男', '2010-11-09', '28-830-9401', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (676, '叶詩涵', '女', '2001-01-27', '760-8759-0446', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (677, '袁璐', '女', '2023-02-27', '198-6402-9145', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (678, '高秀英', '女', '2009-05-22', '197-7597-8109', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (679, '刘云熙', '男', '2000-05-25', '769-0205-8676', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (680, '常安琪', '女', '2019-10-28', '135-6127-2936', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (681, '胡宇宁', '男', '2008-01-07', '20-3557-4948', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (682, '任秀英', '女', '2012-03-21', '769-227-7704', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (683, '孙杰宏', '男', '2019-09-03', '28-144-8927', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (684, '姚致远', '男', '2013-09-19', '172-2455-7822', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (685, '范嘉伦', '男', '2016-12-24', '185-9482-1176', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (686, '蔡云熙', '男', '2017-06-27', '130-9949-0692', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (687, '韩云熙', '男', '2002-03-04', '163-5410-1225', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (688, '钟詩涵', '女', '2007-06-25', '10-549-5256', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (689, '唐子异', '男', '2000-10-15', '20-2516-1059', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (690, '贺云熙', '男', '2006-03-30', '28-5931-5949', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (691, '莫睿', '男', '2007-07-17', '160-6700-0448', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (692, '王震南', '男', '2023-03-18', '769-501-5713', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (693, '汤杰宏', '男', '2020-08-21', '755-371-5480', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (694, '卢璐', '女', '2007-05-01', '769-9665-6865', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (695, '熊云熙', '男', '2011-01-18', '20-9764-0859', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (696, '范秀英', '女', '2003-09-14', '191-7946-1519', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (697, '谢詩涵', '女', '2022-05-30', '152-2747-7418', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (698, '石致远', '男', '2001-10-14', '154-9223-0048', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (699, '薛子异', '男', '2001-01-07', '10-365-9207', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (700, '丁嘉伦', '男', '2019-05-29', '155-2288-0679', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (701, '石岚', '女', '2018-07-01', '190-1027-1426', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (702, '汤震南', '男', '2021-06-30', '188-0308-6288', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (703, '孙子韬', '男', '2013-04-29', '173-7336-3966', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (704, '李子韬', '男', '2004-02-27', '28-4336-8149', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (705, '黎致远', '男', '2009-05-16', '146-8206-0379', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (706, '冯致远', '男', '2008-01-09', '760-596-3394', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (707, '李云熙', '男', '2000-09-07', '144-7350-6598', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (708, '郝嘉伦', '男', '2009-02-23', '138-3373-5800', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (709, '龙云熙', '男', '2020-02-08', '10-2317-0529', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (710, '毛璐', '女', '2019-02-20', '20-831-5960', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (711, '周安琪', '女', '2007-03-15', '150-0744-6159', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (712, '姚詩涵', '女', '2011-07-06', '28-1751-1698', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (713, '姚子异', '男', '2006-10-03', '141-6429-7236', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (714, '杨睿', '男', '2019-02-26', '184-7190-5055', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (715, '崔致远', '男', '2020-02-05', '189-1744-9235', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (716, '吴子韬', '男', '2000-04-22', '160-8745-0119', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (717, '何岚', '女', '2019-12-26', '155-3603-1461', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (718, '邱岚', '女', '2019-12-22', '10-361-3079', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (719, '王璐', '女', '2001-01-15', '195-7455-5947', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (720, '陶致远', '男', '2014-12-12', '10-528-6461', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (721, '梁云熙', '男', '2012-01-16', '169-5372-7192', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (722, '王詩涵', '女', '2016-01-24', '20-3503-2500', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (723, '姜子异', '男', '2011-05-10', '10-3879-0617', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (724, '梁璐', '女', '2009-02-09', '755-468-8656', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (725, '董云熙', '男', '2020-08-21', '186-4563-8679', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (726, '赵嘉伦', '男', '2008-02-25', '28-6959-6063', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (727, '向晓明', '男', '2017-02-21', '10-192-4440', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (728, '陈璐', '女', '2013-01-09', '197-1499-9240', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (729, '叶子韬', '男', '2006-02-27', '760-882-9430', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (730, '贾睿', '男', '2018-02-15', '769-5463-2128', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (731, '许詩涵', '女', '2005-09-30', '136-8060-6096', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (732, '钱云熙', '男', '2018-07-25', '185-2100-9915', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (733, '姜璐', '女', '2000-08-23', '21-171-5233', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (734, '尹杰宏', '男', '2023-05-23', '20-479-6829', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (735, '金子异', '男', '2007-11-10', '20-5275-2780', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (736, '江睿', '男', '2008-11-06', '760-456-5137', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (737, '秦秀英', '女', '2003-04-23', '151-7821-5182', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (738, '贺嘉伦', '男', '2010-04-30', '20-131-8359', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (739, '黎子异', '男', '2011-12-28', '28-477-9996', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (740, '武致远', '男', '2019-12-08', '140-9369-3322', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (741, '孔睿', '男', '2021-10-25', '20-832-2240', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (742, '邹杰宏', '男', '2007-07-01', '194-1542-6095', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (743, '薛璐', '女', '2011-06-02', '760-4244-6423', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (744, '孙安琪', '女', '2004-02-26', '760-6303-3646', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (745, '冯致远', '男', '2004-11-27', '138-5699-2587', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (746, '姚璐', '女', '2006-10-26', '760-125-7913', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (747, '黄致远', '男', '2017-12-30', '144-4681-9672', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (748, '谭睿', '男', '2012-12-30', '20-165-2986', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (749, '宋宇宁', '男', '2002-01-12', '755-535-7744', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (750, '向璐', '女', '2022-03-03', '20-793-0935', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (751, '吴璐', '女', '2013-08-16', '169-6784-4528', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (752, '赵震南', '男', '2009-10-06', '21-473-0954', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (753, '刘云熙', '男', '2000-06-04', '21-776-1453', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (754, '梁杰宏', '男', '2006-11-15', '10-4308-7807', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (755, '史致远', '男', '2007-03-07', '143-0490-0839', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (756, '戴震南', '男', '2017-03-27', '10-686-3976', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (757, '郑岚', '女', '2020-10-13', '195-3316-5217', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (758, '何致远', '男', '2005-05-05', '755-1284-9547', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (759, '姜子异', '男', '2006-07-06', '28-751-3983', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (760, '邵詩涵', '女', '2014-04-12', '130-5771-3288', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (761, '龚致远', '男', '2019-09-28', '760-597-7296', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (762, '赵秀英', '女', '2010-12-23', '166-4180-2947', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (763, '贺安琪', '女', '2017-08-30', '20-5988-4617', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (764, '郑詩涵', '女', '2003-07-18', '183-2127-8477', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (765, '何云熙', '男', '2018-10-02', '148-6968-0939', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (766, '武晓明', '男', '2011-09-23', '760-0716-9532', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (767, '顾岚', '女', '2002-04-23', '755-4372-8957', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (768, '叶致远', '男', '2013-11-13', '755-6163-3629', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (769, '史安琪', '女', '2011-05-15', '182-6409-0372', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (770, '吕子异', '男', '2004-05-17', '156-3643-1294', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (771, '马詩涵', '女', '2007-10-01', '760-0003-9912', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (772, '汪子韬', '男', '2001-09-10', '769-195-9527', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (773, '徐子韬', '男', '2005-12-12', '10-512-1101', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (774, '赵安琪', '女', '2006-08-13', '185-6413-6078', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (775, '雷安琪', '女', '2017-09-04', '140-7765-4890', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (776, '沈嘉伦', '男', '2016-03-01', '21-764-3535', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (777, '郑宇宁', '男', '2022-08-15', '169-5984-2367', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (778, '陈璐', '女', '2000-11-24', '174-6526-9138', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (779, '周宇宁', '男', '2022-04-03', '169-2211-6272', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (780, '薛子异', '男', '2009-04-06', '755-805-0370', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (781, '蔡嘉伦', '男', '2014-06-18', '163-8366-6992', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (782, '李詩涵', '女', '2006-11-29', '186-8970-1312', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (783, '赵子异', '男', '2005-06-20', '136-0169-5568', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (784, '谭睿', '男', '2020-05-30', '136-8649-6050', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (785, '龚云熙', '男', '2017-10-28', '28-021-8967', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (786, '唐璐', '女', '2019-04-30', '190-6522-5894', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (787, '袁杰宏', '男', '2002-10-27', '760-0248-2877', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (788, '孔詩涵', '女', '2009-06-14', '142-4103-7155', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (789, '谭杰宏', '男', '2014-07-14', '769-5615-0152', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (790, '龙杰宏', '男', '2019-09-20', '10-904-0632', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (791, '贾致远', '男', '2023-05-18', '760-173-4653', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (792, '黎子异', '男', '2001-03-22', '134-9512-8060', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (793, '李震南', '男', '2000-02-11', '10-729-0484', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (794, '曹晓明', '男', '2021-01-28', '28-4789-7434', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (795, '侯震南', '男', '2014-03-27', '769-6503-0396', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (796, '江子韬', '男', '2011-09-01', '164-6917-5288', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (797, '莫秀英', '女', '2000-02-13', '161-1777-9365', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (798, '崔嘉伦', '男', '2015-03-24', '190-9026-6661', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (799, '董嘉伦', '男', '2012-01-06', '769-990-5216', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (800, '孔詩涵', '女', '2021-08-18', '171-4651-4426', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (801, '常云熙', '男', '2023-05-20', '195-2089-4337', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (802, '谭云熙', '男', '2001-02-23', '142-6026-6368', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (803, '何秀英', '女', '2013-01-31', '162-5364-4603', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (804, '陈睿', '男', '2013-12-04', '136-3474-9647', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (805, '陶岚', '女', '2013-08-26', '177-8613-8987', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (806, '曹晓明', '男', '2019-05-12', '28-5499-9030', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (807, '郑致远', '男', '2005-07-31', '166-0932-0413', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (808, '李岚', '女', '2019-10-16', '28-969-0546', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (809, '周安琪', '女', '2023-03-18', '10-7030-9543', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (810, '毛宇宁', '男', '2001-09-23', '199-0517-2911', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (811, '邵子异', '男', '2011-02-13', '183-9931-9800', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (812, '顾岚', '女', '2009-03-30', '192-2650-6673', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (813, '尹璐', '女', '2008-03-16', '10-378-5834', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (814, '傅致远', '男', '2022-09-29', '21-0193-4121', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (815, '钟致远', '男', '2021-04-10', '185-1373-8849', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (816, '任秀英', '女', '2005-06-18', '139-1841-3426', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (817, '程秀英', '女', '2015-12-31', '187-5923-7343', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (818, '侯秀英', '女', '2006-04-30', '28-494-6115', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (819, '汪詩涵', '女', '2020-12-16', '183-5838-4377', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (820, '刘震南', '男', '2022-03-27', '21-492-0409', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (821, '袁岚', '女', '2018-02-05', '188-9468-1423', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (822, '邵宇宁', '男', '2001-01-31', '10-188-0606', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (823, '侯杰宏', '男', '2004-12-28', '186-1773-6518', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (824, '郑安琪', '女', '2008-08-03', '10-1446-5138', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (825, '崔宇宁', '男', '2002-01-05', '137-9309-8749', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (826, '钱岚', '女', '2012-05-31', '769-5595-0161', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (827, '邓詩涵', '女', '2015-04-02', '755-159-7577', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (828, '阎岚', '女', '2012-10-15', '143-2393-2605', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (829, '金嘉伦', '男', '2004-07-06', '159-1689-7228', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (830, '毛岚', '女', '2003-03-13', '138-9849-0380', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (831, '邱璐', '女', '2002-10-09', '755-6630-5847', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (832, '崔子韬', '男', '2017-12-11', '197-2847-1393', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (833, '江安琪', '女', '2004-08-18', '139-0388-5371', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (834, '蔡秀英', '女', '2019-08-23', '140-1721-1892', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (835, '贺璐', '女', '2008-05-14', '191-9216-5940', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (836, '叶宇宁', '男', '2002-10-20', '21-6724-6453', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (837, '陆睿', '男', '2009-01-25', '755-4394-7337', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (838, '阎晓明', '男', '2015-09-21', '21-2350-3555', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (839, '高晓明', '男', '2012-01-23', '20-311-6105', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (840, '林安琪', '女', '2011-09-22', '143-0586-2883', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (841, '汤宇宁', '男', '2004-11-07', '146-9633-8942', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (842, '黄璐', '女', '2003-02-10', '10-304-0876', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (843, '石詩涵', '女', '2020-07-30', '20-750-5721', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (844, '程宇宁', '男', '2015-06-28', '144-0534-7875', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (845, '范睿', '男', '2006-04-23', '186-9567-3552', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (846, '熊詩涵', '女', '2016-03-12', '20-784-4428', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (847, '江璐', '女', '2005-03-31', '154-2935-0031', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (848, '贾子韬', '男', '2019-06-12', '194-2267-1682', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (849, '史子韬', '男', '2001-02-19', '28-0822-8063', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (850, '萧睿', '男', '2017-03-11', '154-0802-2993', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (851, '赵詩涵', '女', '2005-04-17', '174-4698-2216', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (852, '戴子韬', '男', '2015-08-12', '183-5769-2175', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (853, '徐嘉伦', '男', '2020-10-04', '177-2632-1232', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (854, '杨璐', '女', '2001-05-29', '172-0562-4082', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (855, '夏晓明', '男', '2006-09-22', '150-3958-6682', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (856, '夏致远', '男', '2021-06-02', '10-6708-9710', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (857, '丁子韬', '男', '2009-09-01', '760-5372-0269', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (858, '郝杰宏', '男', '2020-08-11', '145-8913-2504', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (859, '谭岚', '女', '2011-10-01', '134-4681-1873', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (860, '陆睿', '男', '2006-03-06', '769-504-6653', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (861, '阎震南', '男', '2020-01-24', '755-8952-9409', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (862, '顾宇宁', '男', '2004-10-18', '28-1536-2631', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (863, '杨子韬', '男', '2004-02-26', '10-5296-8502', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (864, '徐子异', '男', '2013-11-06', '21-0757-3293', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (865, '贾詩涵', '女', '2017-08-30', '10-0747-9372', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (866, '郭岚', '女', '2018-09-22', '769-5044-2835', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (867, '赵睿', '男', '2000-07-08', '20-3601-4497', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (868, '彭安琪', '女', '2001-10-04', '21-633-9103', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (869, '姚秀英', '女', '2019-03-09', '760-404-7226', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (870, '沈子韬', '男', '2001-01-24', '755-874-1380', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (871, '龚晓明', '男', '2006-06-27', '165-4737-6345', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (872, '董岚', '女', '2021-12-14', '138-7738-2933', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (873, '杜嘉伦', '男', '2001-07-29', '190-3749-0780', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (874, '曾宇宁', '男', '2022-05-23', '760-4807-5125', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (875, '孙宇宁', '男', '2010-01-02', '10-3358-6766', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (876, '余晓明', '男', '2011-06-10', '10-737-0116', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (877, '田嘉伦', '男', '2000-02-09', '152-6145-3081', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (878, '袁震南', '男', '2009-07-30', '186-8631-0768', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (879, '魏秀英', '女', '2018-06-08', '180-6006-4477', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (880, '崔致远', '男', '2009-03-22', '140-0903-1080', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (881, '任晓明', '男', '2017-07-05', '193-3064-6372', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (882, '罗岚', '女', '2005-06-13', '755-9061-4504', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (883, '邱杰宏', '男', '2009-12-01', '190-5899-8926', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (884, '范璐', '女', '2008-07-24', '182-8753-3666', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (885, '梁宇宁', '男', '2014-06-26', '141-9312-9821', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (886, '龚震南', '男', '2005-07-02', '175-6491-1862', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (887, '傅云熙', '男', '2016-10-11', '28-7768-1098', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (888, '夏云熙', '男', '2005-07-31', '147-8972-3038', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (889, '赵秀英', '女', '2018-01-26', '179-8092-7090', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (890, '林宇宁', '男', '2019-04-26', '168-7610-0764', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (891, '王子异', '男', '2017-12-28', '21-8611-4686', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (892, '段安琪', '女', '2005-01-08', '184-1432-4308', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (893, '邹宇宁', '男', '2021-05-04', '194-7472-0457', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (894, '蒋安琪', '女', '2011-02-24', '142-9516-9485', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (895, '邹宇宁', '男', '2007-10-15', '151-0354-3761', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (896, '钱嘉伦', '男', '2011-08-09', '134-1652-2764', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (897, '李子韬', '男', '2013-11-28', '28-2651-6126', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (898, '常睿', '男', '2012-06-08', '10-0686-4545', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (899, '孙晓明', '男', '2002-11-25', '176-8213-8618', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (900, '龚晓明', '男', '2001-04-26', '176-3214-3477', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (901, '董秀英', '女', '2011-10-05', '28-385-8847', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (902, '董宇宁', '男', '2008-06-17', '144-0692-3160', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (903, '孙詩涵', '女', '2022-03-22', '159-2520-6187', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (904, '阎睿', '男', '2001-01-13', '191-6710-6002', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (905, '毛睿', '男', '2022-03-28', '21-2047-2450', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (906, '程震南', '男', '2020-05-19', '755-846-1971', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (907, '郭子异', '男', '2021-05-13', '755-4630-9286', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (908, '段秀英', '女', '2011-07-23', '169-6910-2692', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (909, '周岚', '女', '2018-03-25', '173-8769-3122', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (910, '陆璐', '女', '2022-03-31', '755-7127-9750', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (911, '唐詩涵', '女', '2019-03-16', '21-373-5577', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (912, '贾睿', '男', '2004-05-12', '769-9198-4162', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (913, '雷晓明', '男', '2013-03-09', '197-2315-9200', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (914, '沈杰宏', '男', '2001-01-27', '178-9342-8503', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (915, '赵子异', '男', '2014-03-14', '28-4474-5703', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (916, '许嘉伦', '男', '2012-07-25', '134-2788-9745', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (917, '沈詩涵', '女', '2001-01-17', '142-6014-3974', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (918, '朱嘉伦', '男', '2018-12-01', '151-7207-9260', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (919, '龚震南', '男', '2007-12-16', '142-6816-4752', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (920, '孟嘉伦', '男', '2011-03-06', '185-8443-8680', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (921, '田子异', '男', '2021-04-09', '151-7917-8982', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (922, '杜子韬', '男', '2005-05-09', '28-136-1634', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (923, '钱致远', '男', '2019-02-24', '20-9300-3216', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (924, '严子异', '男', '2012-05-05', '21-543-0216', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (925, '郑詩涵', '女', '2020-01-22', '170-0027-5989', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (926, '陆詩涵', '女', '2012-06-27', '159-1915-1724', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (927, '吕睿', '男', '2004-07-21', '21-8542-4201', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (928, '汪秀英', '女', '2020-11-01', '28-043-4657', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (929, '杜岚', '女', '2004-08-15', '760-397-7390', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (930, '彭安琪', '女', '2001-09-11', '133-1441-7282', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (931, '卢璐', '女', '2007-06-12', '21-5341-3834', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (932, '方震南', '男', '2014-04-18', '20-967-2417', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (933, '崔詩涵', '女', '2018-04-03', '10-5021-2026', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (934, '孔致远', '男', '2011-03-22', '175-8467-9316', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (935, '崔宇宁', '男', '2019-02-13', '28-818-7272', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (936, '薛杰宏', '男', '2021-09-05', '176-7107-2295', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (937, '田晓明', '男', '2007-09-16', '10-151-9431', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (938, '侯子异', '男', '2009-08-21', '21-5310-5629', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (939, '姚秀英', '女', '2017-06-24', '21-605-4575', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (940, '郝宇宁', '男', '2007-03-10', '28-5427-7721', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (941, '唐詩涵', '女', '2006-07-26', '137-9932-1497', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (942, '萧杰宏', '男', '2004-05-06', '769-940-7737', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (943, '秦詩涵', '女', '2020-08-06', '760-972-0532', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (944, '韩安琪', '女', '2013-09-21', '176-8099-8058', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (945, '孔秀英', '女', '2011-01-11', '755-2832-2176', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (946, '谭秀英', '女', '2002-04-24', '186-8904-7887', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (947, '赵杰宏', '男', '2004-11-25', '131-7003-2766', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (948, '顾致远', '男', '2013-08-11', '21-633-9320', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (949, '侯秀英', '女', '2012-06-27', '769-712-0533', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (950, '杨秀英', '女', '2020-07-18', '21-2545-2087', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (951, '蒋晓明', '男', '2006-01-20', '179-2957-9342', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (952, '邱睿', '男', '2005-02-15', '185-3231-4089', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (953, '史睿', '男', '2012-05-16', '169-5836-8412', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (954, '段璐', '女', '2000-08-17', '190-0042-3374', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (955, '蒋璐', '女', '2017-06-28', '769-7565-2463', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (956, '彭秀英', '女', '2020-06-12', '21-8661-8668', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (957, '张安琪', '女', '2009-02-19', '20-884-6139', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (958, '江岚', '女', '2020-12-01', '760-8855-0964', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (959, '田子韬', '男', '2011-01-10', '156-4532-1864', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (960, '傅嘉伦', '男', '2008-05-22', '190-1142-1291', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (961, '宋杰宏', '男', '2006-07-29', '28-575-7190', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (962, '邱安琪', '女', '2022-06-01', '186-0363-3077', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (963, '范宇宁', '男', '2002-05-04', '10-475-6679', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (964, '曾安琪', '女', '2006-11-18', '10-3010-5125', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (965, '梁子异', '男', '2003-01-13', '196-6014-1829', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (966, '宋晓明', '男', '2021-04-05', '760-9600-0970', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (967, '王子异', '男', '2020-02-25', '162-6228-6694', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (968, '孟嘉伦', '男', '2006-12-28', '21-4267-7667', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (969, '郑宇宁', '男', '2022-09-04', '755-763-3810', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (970, '武璐', '女', '2022-04-02', '156-6840-4190', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (971, '孟子异', '男', '2011-07-14', '196-5205-2227', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (972, '史致远', '男', '2015-04-06', '769-267-5472', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (973, '李睿', '男', '2005-04-19', '139-9780-0629', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (974, '韦詩涵', '女', '2009-11-12', '28-229-2267', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (975, '邵云熙', '男', '2011-08-06', '188-0573-1863', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (976, '魏宇宁', '男', '2018-10-11', '28-026-4648', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (977, '沈安琪', '女', '2011-07-15', '186-8150-8701', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (978, '宋宇宁', '男', '2005-03-18', '168-7578-8797', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (979, '戴子韬', '男', '2008-09-23', '21-7504-2167', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (980, '胡震南', '男', '2004-06-16', '181-8696-9540', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (981, '邵岚', '女', '2005-03-04', '191-9063-2086', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (982, '蒋子韬', '男', '2011-01-16', '10-006-3211', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (983, '钟震南', '男', '2006-02-22', '173-6714-0593', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (984, '苏杰宏', '男', '2002-08-04', '755-636-1948', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (985, '向致远', '男', '2021-02-22', '161-2300-8260', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (986, '黎致远', '男', '2007-09-01', '28-050-8240', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (987, '贾秀英', '女', '2004-01-19', '755-3334-8182', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (988, '曾睿', '男', '2018-06-04', '193-1939-6227', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (989, '陶云熙', '男', '2016-01-19', '21-732-5381', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (990, '董震南', '男', '2015-06-19', '21-974-9497', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (991, '江子异', '男', '2008-08-02', '28-1503-7150', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (992, '邱秀英', '女', '2013-03-04', '149-4033-5825', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (993, '彭詩涵', '女', '2020-07-24', '28-913-0775', '4班', 0, NULL, 0);
INSERT INTO `student` VALUES (994, '江晓明', '男', '2021-01-31', '170-3965-2360', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (995, '薛云熙', '男', '2010-11-26', '147-3605-4008', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (996, '田震南', '男', '2014-11-16', '170-7603-4787', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (997, '冯秀英', '女', '2016-07-27', '144-5782-7453', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (998, '熊嘉伦', '男', '2016-08-11', '156-9411-6227', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (999, '曾致远', '男', '2001-04-01', '169-1710-3278', '3班', 0, NULL, 0);
INSERT INTO `student` VALUES (1000, '吕嘉伦', '男', '2002-02-03', '755-304-2916', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (1001, '测试数据1', '男', '2023-08-05', '4086769184', '2班', 0, NULL, 0);
INSERT INTO `student` VALUES (1002, '测试2', '男', '2023-09-05', '123', '1班', 0, NULL, 0);
INSERT INTO `student` VALUES (1003, '陈', '男', '2023-06-09', '221', '5班', 0, NULL, 0);
INSERT INTO `student` VALUES (1004, '测试21', '男', '2023-06-18', '123', '1班', 0, NULL, NULL);

-- ----------------------------
-- Table structure for teacher
-- ----------------------------
DROP TABLE IF EXISTS `teacher`;
CREATE TABLE `teacher`  (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '编号',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '教师姓名',
  `sex` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '性别',
  `birthday` date NULL DEFAULT NULL COMMENT '出生日期',
  `course_id` int NULL DEFAULT NULL COMMENT '所教课程',
  `classes` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '班级',
  `removed` int NULL DEFAULT 0 COMMENT '移除字段(default:0 false)',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `fk_teacher_course`(`course_id` ASC) USING BTREE,
  INDEX `fk_teacher_classes`(`classes` ASC) USING BTREE,
  CONSTRAINT `fk_teacher_classes` FOREIGN KEY (`classes`) REFERENCES `class` (`class_id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `fk_teacher_course` FOREIGN KEY (`course_id`) REFERENCES `course` (`CourseID`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 23 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of teacher
-- ----------------------------
INSERT INTO `teacher` VALUES (1, '无名氏', '女', '1989-01-01', 8, '1班', 0);
INSERT INTO `teacher` VALUES (2, '无名氏2', '女', '1997-08-14', 1, '5班', 0);
INSERT INTO `teacher` VALUES (3, '蒋岚', '女', '1998-09-28', 9, '3班', 0);
INSERT INTO `teacher` VALUES (4, '侯嘉伦', '男', '1980-05-07', 13, '3班', 0);
INSERT INTO `teacher` VALUES (5, '毛子异', '男', '1995-05-03', 12, '1班', 0);
INSERT INTO `teacher` VALUES (6, '林子异', '男', '1985-02-25', 7, '2班', 0);
INSERT INTO `teacher` VALUES (7, '汤杰宏', '男', '1995-03-13', 6, '3班', 0);
INSERT INTO `teacher` VALUES (8, '邵安琪', '女', '1987-06-10', 11, '5班', 0);
INSERT INTO `teacher` VALUES (9, '毛云熙', '男', '1995-06-18', 3, '1班', 0);
INSERT INTO `teacher` VALUES (10, '曹安琪', '女', '1980-11-13', 4, '1班', 0);
INSERT INTO `teacher` VALUES (11, '胡安琪', '女', '1988-05-23', 10, '1班', 0);
INSERT INTO `teacher` VALUES (12, '熊詩涵', '女', '1981-09-10', 5, '4班', 0);
INSERT INTO `teacher` VALUES (13, '贺詩涵', '女', '1998-11-06', 2, '2班', 0);
INSERT INTO `teacher` VALUES (14, '郑安琪', '女', '1995-05-31', 10, '2班', 0);
INSERT INTO `teacher` VALUES (15, '田云熙', '男', '1990-06-07', 9, '4班', 0);
INSERT INTO `teacher` VALUES (16, '常震南', '男', '1993-08-19', 3, '2班', 0);
INSERT INTO `teacher` VALUES (17, '刘秀英', '女', '1999-02-18', 9, '2班', 0);
INSERT INTO `teacher` VALUES (18, '孟宇宁', '男', '1984-12-24', 10, '1班', 0);
INSERT INTO `teacher` VALUES (19, '吕睿', '男', '1989-02-22', 1, '1班', 0);
INSERT INTO `teacher` VALUES (20, '段嘉伦', '男', '1995-02-08', 10, '1班', 0);
INSERT INTO `teacher` VALUES (21, '无名氏3', '男', '2023-06-17', 1, '1班', 0);
INSERT INTO `teacher` VALUES (22, '无名氏4', '男', '2023-06-17', 1, '2班', 0);

-- ----------------------------
-- Table structure for user
-- ----------------------------
DROP TABLE IF EXISTS `user`;
CREATE TABLE `user`  (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '用户ID',
  `username` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '用户名',
  `password` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '密码',
  `roles` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT 'admin' COMMENT '角色(admin,student,teacher)',
  `disabled` int NULL DEFAULT 0 COMMENT '禁用(default: 0 false)',
  `detail` int NULL DEFAULT NULL COMMENT 'link to roles id',
  `photo` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT 'link to avatar filename',
  PRIMARY KEY (`id`, `username`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 10 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of user
-- ----------------------------
INSERT INTO `user` VALUES (1, 'admin', '8c6976e5b5410415bde908bd4dee15dfb167a9c873fc4bb8a81f6f2ab448a918', 'admin', 0, NULL, 'efe7ea02-053b-4b77-b8b1-719d13b18d18_010 (2)_512.png');
INSERT INTO `user` VALUES (2, 'guest', '84983c60f7daadc1cb8698621f802c0d9f9a3c3c295c810748fb048115c186ec', 'admin', 1, NULL, NULL);
INSERT INTO `user` VALUES (3, 'chenx221', '62982ab94542113a449fc9528779583bb6b93988ac4678c3fd6c010b66e7a851', 'admin', 1, NULL, NULL);
INSERT INTO `user` VALUES (4, 'chenx2210', '2bd27a9cb9135ff37aee523b7e439873a46da4d5b482145927b991a95baf43bb', 'admin', 0, NULL, NULL);
INSERT INTO `user` VALUES (5, 'newuser1', '7dcf407fa84a0e0519c7991154c4148de0244d7589020c0d9842db9efad82094', 'admin', 0, NULL, NULL);
INSERT INTO `user` VALUES (6, 'guest2', '6b93ccba414ac1d0ae1e77f3fac560c748a6701ed6946735a49d463351518e16', 'admin', 0, NULL, NULL);
INSERT INTO `user` VALUES (7, 'student1', '49fe07d0f041bced9ba827a10c2cd31b2089229d4b4e3a63b074ed7a4370e88f', 'student', 0, 0, NULL);
INSERT INTO `user` VALUES (8, 'student2', '2d850eb5460ffb6bb9ae11186a2d78cc22d9df387f9cdbd3a297e0d1ea08a54b', 'student', 0, 4, NULL);
INSERT INTO `user` VALUES (9, 'teacher1', '0829db2785c8de0ad7d0231c903be3083f6729679bc69b092bf4cfd3dc629006', 'teacher', 0, 1, NULL);

SET FOREIGN_KEY_CHECKS = 1;
