package cyou.chenx221.mapper.impl;

import cyou.chenx221.mapper.CourseDao;
import cyou.chenx221.pojo.Course;
import org.apache.ibatis.session.SqlSession;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public class CourseDaoImpl implements CourseDao {
    private SqlSession sqlSession;
    @Autowired
    public CourseDaoImpl(SqlSession sqlSession) {
        this.sqlSession = sqlSession;
    }

    @Override
    public List<Course> getAllCourses() {
        return sqlSession.selectList("getAllCourses");
    }

    @Override
    public List<Course> getQueryCourses(Course course) {
        return sqlSession.selectList("getQueryCourses", course);
    }

    @Override
    public int updateCourse(Course course) {
        return sqlSession.update("updateCourse", course);
    }

    @Override
    public Course getCourseById(int id) {
        return sqlSession.selectOne("getCourseById", id);
    }

    @Override
    public int deleteCourse(int id) {
        return sqlSession.delete("deleteCourse", id);
    }

    @Override
    public void insertCourse(Course course) {
        sqlSession.insert("insertCourse", course);
    }
}
