package cyou.chenx221.mapper.impl;

import cyou.chenx221.mapper.ScoreDao;
import cyou.chenx221.pojo.Score;
import org.apache.ibatis.session.SqlSession;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public class ScoreDaoImpl implements ScoreDao {
    private SqlSession sqlSession;

    @Autowired
    public ScoreDaoImpl(SqlSession sqlSession) {
        this.sqlSession = sqlSession;
    }

    @Override
    public List<Score> getAllScore() {
        return sqlSession.selectList("getAllScore");
    }

    @Override
    public List<Score> getQueryScores(Score score) {
        return sqlSession.selectList("getQueryScores", score);
    }

    @Override
    public int updateScore(Score score) {
        return sqlSession.update("updateScore", score);
    }

    @Override
    public Score getScoreById(int id) {
        return sqlSession.selectOne("getScoreById",id);
    }

    @Override
    public int deleteScore(int id) {
        return sqlSession.update("deleteScore", id);
    }

    @Override
    public int insertScore(Score score) {
        return sqlSession.insert("insertScore", score);
    }

    @Override
    public int getStudentIdByUsername(String username) {
        return sqlSession.selectOne("getStudentIdByUsername", username);
    }

    @Override
    public List<Score> getQueryScore(int id) {
        return sqlSession.selectList("getQueryScore", id);
    }
}
