package cyou.chenx221.mapper.impl;

import cyou.chenx221.mapper.StudentDao;
import cyou.chenx221.pojo.Student;
import org.apache.ibatis.session.SqlSession;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public class StudentDaoImpl implements StudentDao {
    private SqlSession sqlSession;

    @Autowired
    public StudentDaoImpl(SqlSession sqlSession) {
        this.sqlSession = sqlSession;
    }

    @Override
    public void insertStudent(Student student) {
        sqlSession.insert("insertStudent", student);
    }

    @Override
    public void updateStudent(Student student) {
        sqlSession.update("updateStudent", student);
    }

    @Override
    public List<Student> getAllStudentsT(String classes) {
        return sqlSession.selectList("getAllStudentsT", classes);
    }

    @Override
    public int getIdByUsername(String username) {
        return sqlSession.selectOne("getIdByUsername", username);
    }

    @Override
    public int getDetailByUsername(String username) {
        return sqlSession.selectOne("getDetailByUsername", username);
    }

    @Override
    public void deleteStudent(int id) {
        sqlSession.update("deleteStudent", id);
    }

    @Override
    public Student getStudentById(int studentId) {
        return sqlSession.selectOne("getStudentById", studentId);
    }

    @Override
    public List<Student> getAllStudents() {
        return sqlSession.selectList("getAllStudents");
    }

    @Override
    public List<Student> getQueryStudents(Student student) {
        return sqlSession.selectList("cyou.chenx221.mapper.StudentDao.getQueryStudents", student);
    }
    @Override
    public List<Student> getQueryStudents2(Student student){
        return sqlSession.selectList("cyou.chenx221.mapper.StudentDao.getQueryStudents2", student);
    }
}
