package cyou.chenx221.mapper.impl;

import cyou.chenx221.mapper.TeacherDao;
import cyou.chenx221.pojo.Teacher;
import org.apache.ibatis.session.SqlSession;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public class TeacherDaoImpl implements TeacherDao {
    private SqlSession sqlSession;

    @Autowired
    public TeacherDaoImpl(SqlSession sqlSession) {
        this.sqlSession = sqlSession;
    }

    @Override
    public List<Teacher> getAllTeachers() {
        return sqlSession.selectList("getAllTeachers");
    }

    @Override
    public List<Teacher> getQueryTeachers(Teacher teacher) {
        return sqlSession.selectList("getQueryTeachers", teacher);
    }

    @Override
    public int updateTeacher(Teacher teacher) {
        return sqlSession.update("updateTeacher", teacher);
    }

    @Override
    public int deleteTeacher(int id) {
        return sqlSession.update("deleteTeacher", id);
    }

    @Override
    public int addTeacher(Teacher teacher) {
        return sqlSession.insert("addTeacher", teacher);
    }

    @Override
    public String getClassesById(int id) {
        return sqlSession.selectOne("getClassesById", id);
    }

}
