package cyou.chenx221.service;

import io.minio.*;
import io.minio.errors.MinioException;
import org.springframework.core.io.InputStreamResource;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.security.InvalidKeyException;
import java.security.NoSuchAlgorithmException;
import java.util.UUID;

@Service
public class PersonService {

    private static final String MINIO_ENDPOINT = "http://192.168.8.149:9199";
    private static final String MINIO_ACCESS_KEY = "cGa3QelqYf3Ujw29vR6o";
    private static final String MINIO_SECRET_KEY = "WzV1WFCovOFcFj31v7tlqDCzeIkM90m8EAunMC7b";
    private static final String MINIO_BUCKET_NAME = "project2";

    public String uploadAvatar(MultipartFile file) throws IOException {
        String tempFilePath = "file/" + file.getOriginalFilename();
        File tempFile = new File(tempFilePath);
        file.transferTo(tempFile);
        String objectName = null;
        try {
            // Create a MinioClient with the MinIO server endpoint, access key, and secret key.
            MinioClient minioClient =
                    MinioClient.builder()
                            .endpoint(MINIO_ENDPOINT)
                            .credentials(MINIO_ACCESS_KEY, MINIO_SECRET_KEY)
                            .build();

            // Make bucket if not exist.
            boolean found =
                    minioClient.bucketExists(BucketExistsArgs.builder().bucket(MINIO_BUCKET_NAME).build());
            if (!found) {
                // Make a new bucket called 'project2'.
                minioClient.makeBucket(MakeBucketArgs.builder().bucket(MINIO_BUCKET_NAME).build());
            } else {
                System.out.println("[INFO] Bucket 'project2' already exists.");
            }

            // Generate a unique object name
            objectName = generateUniqueObjectName(file.getOriginalFilename());
            System.out.println("[INFO] Uploading file '" + objectName + "' to bucket '" + MINIO_BUCKET_NAME + "'.");
            // Upload the file to the bucket
            minioClient.uploadObject(
                    UploadObjectArgs.builder()
                            .bucket(MINIO_BUCKET_NAME)
                            .object(objectName)
                            .filename(tempFile.getAbsolutePath())
//                            .contentType("image/jpeg")
                            .build());
        } catch (MinioException e) {
            System.out.println("Error occurred: " + e);
            System.out.println("HTTP trace: " + e.httpTrace());
        } catch (InvalidKeyException | NoSuchAlgorithmException | IOException e) {
            throw new RuntimeException(e);
        }
        tempFile.delete();
        return objectName;
    }

    private String generateUniqueObjectName(String originalFilename) {
        return UUID.randomUUID() + "_" + originalFilename;
    }

    public InputStreamResource getImage(String object) throws Exception {
        // Create a MinioClient with the MinIO server endpoint, access key, and secret key.
        MinioClient minioClient =
                MinioClient.builder()
                        .endpoint(MINIO_ENDPOINT)
                        .credentials(MINIO_ACCESS_KEY, MINIO_SECRET_KEY)
                        .build();

        // Get the object from MinIO
        InputStream stream = minioClient.getObject(
                GetObjectArgs.builder()
                        .bucket(MINIO_BUCKET_NAME)
                        .object(object)
                        .build()
        );

        // Wrap the image data in InputStreamResource
        return new InputStreamResource(stream);
    }

}