package cyou.chenx221.service;

import cyou.chenx221.mapper.StudentDao;
import cyou.chenx221.pojo.Student;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class StudentService {
    private StudentDao studentDao;

    public StudentService(StudentDao studentDao) {
        this.studentDao = studentDao;
    }

    public void addStudent(Student student) {
        studentDao.insertStudent(student);
    }

    public void deleteStudent(int id) {
        studentDao.deleteStudent(id);
    }

    public Student getStudentById(int studentId) {
        return studentDao.getStudentById(studentId);
    }

    public List<Student> getAllStudents() {
        return studentDao.getAllStudents();
    }

    public List<Student> getQueryStudents(Student student) {
        return studentDao.getQueryStudents(student);
    }

    public List<Student> getQueryStudents2(Student student) {
        return studentDao.getQueryStudents2(student);
    }

    public void updateStudent(Student student) {
        studentDao.updateStudent(student);
    }

    public void insertStudent(Student student) {
        studentDao.insertStudent(student);
    }

    public List<Student> getAllStudentsT(String classes) {
        return studentDao.getAllStudentsT(classes);
    }

    public int getIdByUsername(String username) {
        return studentDao.getIdByUsername(username);
    }

    public int getDetailByUsername(String username) {
        return studentDao.getDetailByUsername(username);
    }
}
