<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
    <meta http-equiv="x-ua-compatible" content="ie=edge"/>
    <title>成绩信息查看</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css"/>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Noto+Sans+SC:wght@300;400;500;700;900&display=swap"
          rel="stylesheet">
    <link rel="stylesheet" href="${pageContext.request.contextPath}/resources/css/mdb.min.css"/>
    <style>
        .table-container {
            min-width: 80vw; /* 设置最小宽度为视窗宽度的80% */
            min-height: 80vh; /* 设置最小高度为视窗高度的80% */
            /*display: flex;*/
            align-items: center;
            justify-content: center;
        }

        .table-container table {
            width: 100%;
            /*height: 100%;*/
        }
    </style>
</head>

<body style="font-family: 'Noto Sans SC Regular',serif">
<!--Main Navigation-->
<header>
    <nav class="navbar navbar-expand-lg navbar-light bg-light" style="z-index: 1;min-height: 58.59px">
        <div class="container">
            <button class="navbar-toggler" type="button" data-mdb-toggle="collapse"
                    data-mdb-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                    aria-expanded="false" aria-label="Toggle navigation">
                <i class="fas fa-bars"></i>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <a class="navbar-brand mt-2 mt-lg-0" href="#">
                    <i class="fas fa-chalkboard-user me-2"></i>
                    教务管理系统
                </a>
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link active" aria-current="page" href="/dashboard">首页</a>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown1" role="button"
                           data-mdb-toggle="dropdown" aria-expanded="false">
                            学生管理
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="navbarDropdown1">
                            <li><a class="dropdown-item" href="/student/all">学生信息显示</a></li>
                            <li><a class="dropdown-item" href="/student/queryinfo">学生信息查询</a></li>
                            <li><a class="dropdown-item" href="/student/modstep1">学生信息修改(旧)</a></li>
                            <li><a class="dropdown-item" href="/student/infomodv2">学生信息修改</a></li>
                            <li>
                                <hr class="dropdown-divider" />
                            </li>
                            <li><a class="dropdown-item" href="/score/all">成绩查看</a></li>
                            <li><a class="dropdown-item" href="/score/infomodv2">成绩管理</a></li>
                        </ul>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown2" role="button"
                           data-mdb-toggle="dropdown" aria-expanded="false">
                            教师管理
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="navbarDropdown2">
                            <li><a class="dropdown-item" href="/teacher/manage">教师信息管理</a></li>
                        </ul>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown3" role="button"
                           data-mdb-toggle="dropdown" aria-expanded="false">
                            课程管理
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="navbarDropdown3">
                            <li><a class="dropdown-item" href="/course/all">课程查看</a></li>
                            <li><a class="dropdown-item" href="/course/infomodv2">课程管理</a></li>
                        </ul>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown4" role="button"
                           data-mdb-toggle="dropdown" aria-expanded="false">
                            系统管理
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="navbarDropdown4">
                            <li><a class="dropdown-item" href="/person/settings">个人设定</a></li>
                            <li><a class="dropdown-item" href="/system/settings">系统设定</a></li>
                            <li><a class="dropdown-item" href="/user/usermanage">用户管理</a></li>
                            <%--                            <li><a class="dropdown-item" href="#">日志管理</a></li>--%>
                            <li><a class="dropdown-item" href="#">版本信息</a></li>
                        </ul>
                    </li>
                </ul>
            </div>
            <div class="dropdown">
                <a class="dropdown-toggle d-flex align-items-center hidden-arrow" href="#"
                   id="navbarDropdownMenuAvatar" role="button" data-mdb-toggle="dropdown" aria-expanded="false">
                    <i class="fas fa-circle-user fa-lg me-1"></i>
                    ${username}
                </a>
                <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdownMenuAvatar">
                    <li>
                        <a class="dropdown-item" href="${pageContext.request.contextPath}/logout">登出</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
</header>

<!--Main Navigation-->

<!--Main layout-->
<main>
    <div class="bg-image shadow-2-strong vh-100"
         style="background-image: url('${pageContext.request.contextPath}/resources/img/jason-blackeye-nyL-rzwP-Mk-unsplash.jpg'); margin-top: -58.59px;">
        <div class="mask d-flex align-items-center h-100" style="background-color: hsla(0, 0%, 100%, 0.5);">
            <div class="container d-flex justify-content-center">
                <div>
                    <div class="row">
                        <div class="col-12">
                            <button type="button" class="btn btn-primary" onclick="location.href='../dashboard'">返回
                            </button>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-12">
                            <button type="button" class="btn btn-primary" onclick="exportCSV()">导出</button>
                        </div>
                    </div>
                </div>

                <div class="table-container rounded-4 shadow-3-strong"
                     style="background-color: rgba(255,255,255,0.9); overflow-y: auto; max-height: 400px;">
                    <table class="table table-striped table-hover border-primary">
                        <thead>
                        <tr>
                            <th scope="col">成绩ID</th>
                            <th scope="col">学号</th>
                            <th scope="col">学生姓名</th>
                            <th scope="col">课程ID</th>
                            <th scope="col">课程名</th>
                            <th scope="col">成绩</th>
                        </tr>
                        </thead>
                        <tbody>
                        <c:forEach var="score" items="${scores}">
                            <tr>
                                <td>${score.scoreID}</td>
                                <td>${score.student.id}</td>
                                <td>${score.student.name}</td>
                                <td>${score.course.courseID}</td>
                                <td>${score.course.courseName}</td>
                                <td>${score.score}</td>
                            </tr>
                        </c:forEach>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</main>

<!--Main layout-->

<!-- Footer -->
<footer class="bg-link text-center text-lg-start ">
</footer>
<!-- Footer -->


<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/mdb.min.js"></script>
<script>
    function exportCSV() {
        // 构造请求 URL，根据需要导出的类型传递参数
        var exportUrl = '/output/export-csv?type=score';  // 示例：导出学生数据
        var link = document.createElement('a');
        link.href = exportUrl;
        link.style.display = 'none';
        document.body.appendChild(link);
        link.click();
        document.body.removeChild(link);
    }
</script>

</body>

</html>