<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
    <meta http-equiv="x-ua-compatible" content="ie=edge"/>
    <title>学生信息查看</title>
    <script src="${pageContext.request.contextPath}/resources/js/jquery-3.7.0.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css"/>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Noto+Sans+SC:wght@300;400;500;700;900&display=swap"
          rel="stylesheet">
    <link rel="stylesheet" href="${pageContext.request.contextPath}/resources/css/mdb.min.css"/>
    <style>
        .table-container {
            min-width: 60vw; /* 设置最小宽度为视窗宽度的80% */
            min-height: 80vh; /* 设置最小高度为视窗高度的80% */
            /*display: flex;*/
            align-items: center;
            justify-content: center;
        }

        .table-container table {
            width: 100%;
            /*height: 100%;*/
        }
    </style>
</head>

<body style="font-family: 'Noto Sans SC Regular',serif">
<!--Main Navigation-->
<header>
    <nav class="navbar navbar-expand-lg navbar-light bg-light" style="z-index: 1;min-height: 58.59px">
        <div class="container">
            <button class="navbar-toggler" type="button" data-mdb-toggle="collapse"
                    data-mdb-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                    aria-expanded="false" aria-label="Toggle navigation">
                <i class="fas fa-bars"></i>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <a class="navbar-brand mt-2 mt-lg-0" href="#">
                    <i class="fas fa-chalkboard-user me-2"></i>
                    教务管理系统
                </a>
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link active" aria-current="page" href="/dashboard">首页</a>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown1" role="button"
                           data-mdb-toggle="dropdown" aria-expanded="false">
                            学生管理
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="navbarDropdown1">
                            <li><a class="dropdown-item" href="/student/all">学生信息显示</a></li>
                            <li><a class="dropdown-item" href="/student/queryinfo">学生信息查询</a></li>
                            <li><a class="dropdown-item" href="/student/modstep1">学生信息修改(旧)</a></li>
                            <li><a class="dropdown-item" href="/student/infomodv2">学生信息修改</a></li>
                            <li>
                                <hr class="dropdown-divider" />
                            </li>
                            <li><a class="dropdown-item" href="/score/all">成绩查看</a></li>
                            <li><a class="dropdown-item" href="/score/infomodv2">成绩管理</a></li>
                        </ul>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown2" role="button"
                           data-mdb-toggle="dropdown" aria-expanded="false">
                            教师管理
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="navbarDropdown2">
                            <li><a class="dropdown-item" href="/teacher/manage">教师信息管理</a></li>
                        </ul>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown3" role="button"
                           data-mdb-toggle="dropdown" aria-expanded="false">
                            课程管理
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="navbarDropdown3">
                            <li><a class="dropdown-item" href="/course/all">课程查看</a></li>
                            <li><a class="dropdown-item" href="/course/infomodv2">课程管理</a></li>
                        </ul>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown4" role="button"
                           data-mdb-toggle="dropdown" aria-expanded="false">
                            系统管理
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="navbarDropdown4">
                            <li><a class="dropdown-item" href="/person/settings">个人设定</a></li>
                            <li><a class="dropdown-item" href="/system/settings">系统设定</a></li>
                            <li><a class="dropdown-item" href="/user/usermanage">用户管理</a></li>
                            <%--                            <li><a class="dropdown-item" href="#">日志管理</a></li>--%>
                            <li><a class="dropdown-item" href="#">版本信息</a></li>
                        </ul>
                    </li>
                </ul>
            </div>
            <div class="dropdown">
                <a class="dropdown-toggle d-flex align-items-center hidden-arrow" href="#"
                   id="navbarDropdownMenuAvatar" role="button" data-mdb-toggle="dropdown" aria-expanded="false">
                    <i class="fas fa-circle-user fa-lg me-1"></i>
                    ${username}
                </a>
                <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdownMenuAvatar">
                    <li>
                        <a class="dropdown-item" href="${pageContext.request.contextPath}/logout">登出</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
</header>

<!--Main Navigation-->

<!--Main layout-->
<main>
    <div class="bg-image shadow-2-strong vh-100"
         style="background-image: url('${pageContext.request.contextPath}/resources/img/jason-blackeye-nyL-rzwP-Mk-unsplash.jpg'); margin-top: -58.59px;">
        <div class="mask d-flex align-items-center h-100" style="background-color: hsla(0, 0%, 100%, 0.5);">
            <div class="container d-flex justify-content-center">
                <button type="button" class="btn btn-primary" onclick="location.href='../dashboard'">返回</button>
                <div class="table-container rounded-4 shadow-3-strong"
                     style="background-color: rgba(255,255,255,0.9); overflow-y: auto; max-height: 400px">
                    <table class="table table-striped table-hover border-primary">
                        <thead>
                        <tr>
                            <th scope="col">ID</th>
                            <th scope="col">姓名</th>
                            <th scope="col">性别</th>
                            <th scope="col">出生日期</th>
                            <th scope="col">联系方式</th>
                            <th scope="col">班级</th>
                        </tr>
                        </thead>
                        <tbody>
                        <c:forEach var="student" items="${students}">
                            <tr>
                                <td>${student.id}</td>
                                <td>${student.name}</td>
                                <td>${student.sex}</td>
                                <td>${student.birthday}</td>
                                <td>${student.phone}</td>
                                <td>${student.classes}</td>
                            </tr>
                        </c:forEach>
                        </tbody>
                    </table>
                </div>
                <div class="container" style="min-width: 190px">
                    <div class="card rounded-4 shadow-3-strong" style="min-width: 180px">
                        <h5 class="card-header">信息修改</h5>
                        <div class="card-body" style="min-width: 175px">
                            <form action="modinfo" method="post">
                                <div class="row mb-2">
                                    <div class="col-12">
                                        <div class="form-outline">
                                            <input type="number" id="typeText1" class="form-control" required
                                                   name="id"/>
                                            <label class="form-label" for="typeText1">ID (必填)</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="row mb-2">
                                    <div class="col-12">
                                        <div class="form-outline">
                                            <input type="text" id="typeText2" class="form-control"
                                                   name="name"/>
                                            <label class="form-label" for="typeText2">姓名</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="row mb-2">
                                    <div class="col-12">
                                        <div class="form-outline">
                                            <input type="text" id="typeText3" class="form-control" name="sex"/>
                                            <label class="form-label" for="typeText3">性别 (男/女)</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="row mb-2">
                                    <div class="col-12">
                                        <div class="form-outline">
                                            <input type="date" id="typeText4" class="form-control"
                                                   name="birthday"/>
                                            <label class="form-label" for="typeText4">出生日期</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="row mb-2">
                                    <div class="col-12">
                                        <div class="form-outline">
                                            <input type="text" id="typeText5" class="form-control"
                                                   name="phone"/>
                                            <label class="form-label" for="typeText5">联系方式</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="row mb-2">
                                    <div class="col-12">
                                        <div class="form-outline">
                                            <input type="text" id="typeText6" class="form-control"
                                                   name="classes"/>
                                            <label class="form-label" for="typeText6">班级</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="row mb-2">
                                    <div class="col-lg-6">
                                        <button type="submit" class="btn btn-primary" data-mdb-toggle="tooltip"
                                                data-mdb-placement="top" title="留空为不做修改">更改
                                        </button>
                                    </div>
                                    <div class="col-lg-6">
                                        <button type="reset" class="btn btn-secondary">重置</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Modal -->
    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">
                        <i class="fas fa-circle-exclamation me-2"></i>错误
                    </h5>
                    <button type="button" class="btn-close" data-mdb-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <c:if test="${not empty errorMessage}">
                        ${errorMessage}
                    </c:if>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" data-mdb-dismiss="modal">OK</button>
                </div>
            </div>
        </div>
    </div>
    <!-- Modal -->
    <div class="modal fade" id="exampleModal2" tabindex="-1" aria-labelledby="exampleModalLabel2" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel2">
                        <i class="fas fa-circle-check me-2"></i>成功
                    </h5>
                    <button type="button" class="btn-close" data-mdb-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <c:if test="${not empty successMessage}">
                        ${successMessage}
                    </c:if>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" data-mdb-dismiss="modal">OK</button>
                </div>
            </div>
        </div>
    </div>
</main>

<!--Main layout-->

<!-- Footer -->
<footer class="bg-link text-center text-lg-start ">
</footer>
<!-- Footer -->


<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/mdb.min.js"></script>
<script>
    $(document).ready(function () {
        <%-- 判断模型中是否存在错误信息 --%>
        <c:if test="${not empty errorMessage && errorMessage ne 'null'}">
        $('#exampleModal').modal('show');
        </c:if>
        <c:if test="${not empty successMessage && successMessage ne 'null'}">
        $('#exampleModal2').modal('show');
        </c:if>
    });
</script>

</body>

</html>